Sync with portage [Tue Nov 10 21:31:37 MSK 2015].

mhiretskiy
root 9 years ago
parent 2398a731be
commit 97ec8e14e3

@ -15,7 +15,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/Caribou"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

@ -15,7 +15,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="+braille"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

@ -1,2 +1,3 @@
DIST logstash-1.4.5.tar.gz 73896488 SHA256 ddb6fd2d26e87b13d87fa1495492a7346d45267df46eed29503df08d3e5d8a13 SHA512 b71b818dfb681459cc7cdd39d241b46c8bc905b4f26af377058feb78c9b9f3528059d136605685f24e7af1f2c190fa93557b0876765d78fc1f7cce32640a2593 WHIRLPOOL 7fa1189120fbfac487471261ae1a10e55986bee924df8356169d88ee37ef578607323316156ecbaa64e7e4f9fe9c1a70f475529f61f9977ac9287a484d2321cb
DIST logstash-1.5.4.tar.gz 91956015 SHA256 f03075ee534ce6e7667679447f56543ce05cebbdb7b65a9396a5e538bf3e9fa8 SHA512 b20a8de5e22f82e6ddc03bae16d6ca01ab1fbff695a7fd0148feee9f8903c3805c45f296bceada6688fbcc86b8e318daaebcb6d67c2a6cd8d0cc3bdd8a3bf757 WHIRLPOOL 470e0a29b928690187ef17297393e702fc015c6a476e75b28d1abddc4082e0da0bd27f0fca5c2f81a207aeb0303e78ff6761126e08a800b3eb989710486f717c
DIST logstash-1.5.5.tar.gz 89853616 SHA256 511c604ef096e6486cfbde83468cabad8f132401d32ae8f269c9144c959dd66e SHA512 badd0f78f3f48abc0d55c390e031b43a399301421b00f40d0a291629c49b58feb13ac292b567f334699194f4d035aec3d296ab4b95a375a1bda249d7a100f9a5 WHIRLPOOL 0f7bf4b26acabfba7e217b260a243e3c8455fbc876567b2c74372857db66cf4afd9c3a9033c82afa1ea4e0f635dbe33de8d1771fa7d470963584792651b70cc0

@ -0,0 +1,7 @@
#LS_USER="root"
#LS_GROUP="root"
#LS_CONFDIR="/etc/logstash/conf.d"
#LS_LOGFILE="/var/log/logstash/logstash.log"
#LS_PIDFILE="/run/logstash/logstash.pid"
#LS_HEAP_SIZE="500m"
#LS_OPTS=""

@ -0,0 +1,44 @@
#!/sbin/openrc-run
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
LS_USER="${LS_USER:-root}"
LS_GROUP="${LS_GROUP:-root}"
LS_CONFDIR="${LS_CONFDIR:-/etc/logstash/conf.d}"
LS_LOGFILE="${LS_LOGFILE:-/var/log/logstash/logstash.log}"
LS_PIDFILE="${LS_PIDFILE:-/run/logstash/logstash.pid}"
LS_HEAP_SIZE="${LS_HEAP_SIZE:-500m}"
command="/opt/logstash/bin/logstash"
command_args="agent --config ${LS_CONFDIR}/*.conf --log ${LS_LOGFILE} ${LS_OPTS}"
extra_commands="checkconfig"
command_background="true"
start_stop_daemon_args="--user=${LS_USER}:${LS_GROUP} \
--env LS_HEAP_SIZE=${LS_HEAP_SIZE}"
pidfile="${LS_PIDFILE}"
depend() {
use net
after elasticsearch
}
checkconfig() {
ebegin "Checking your configuration"
${command} ${command_args} --configtest
eend $? "Configuration error. Please fix your configuration files."
}
start_pre() {
checkconfig || return 1
checkpath -d -o "${LS_USER}":"${LS_GROUP}" -m750 "$(dirname "${LS_PIDFILE}")"
checkpath -d -o "${LS_USER}":"${LS_GROUP}" -m750 "$(dirname "${LS_LOGFILE}")"
checkpath -f -o "${LS_USER}":"${LS_GROUP}" -m640 "${LS_LOGFILE}"
}
stop() {
ebegin "Stopping logstash"
start-stop-daemon --stop \
--pidfile="${LS_PIDFILE}" \
--retry=TERM/5/KILL/5
}

@ -0,0 +1,53 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
MY_PN="${PN/-bin}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Tool for managing events and logs"
HOMEPAGE="https://www.elastic.co/products/logstash"
SRC_URI="https://download.elastic.co/${MY_PN}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RESTRICT="strip"
QA_PREBUILT="opt/logstash/vendor/jruby/lib/jni/*/libjffi*.so"
DEPEND=""
RDEPEND="|| ( virtual/jre:1.8 virtual/jre:1.7 )"
S="${WORKDIR}/${MY_P}"
src_install() {
keepdir /etc/"${MY_PN}"/{conf.d,patterns,plugins}
keepdir "/var/log/${MY_PN}"
insinto "/etc/${MY_PN}/conf.d"
doins "${FILESDIR}/agent.conf.sample"
insinto "/opt/${MY_PN}"
doins -r .
fperms 0755 "/opt/${MY_PN}/bin/${MY_PN}" "/opt/${MY_PN}/vendor/jruby/bin/jruby"
insinto /etc/logrotate.d
newins "${FILESDIR}/${MY_PN}.logrotate" "${MY_PN}"
newconfd "${FILESDIR}/${MY_PN}.confd-r1" "${MY_PN}"
newinitd "${FILESDIR}/${MY_PN}.initd-r1" "${MY_PN}"
}
pkg_postinst() {
einfo "Getting started with logstash:"
einfo " https://www.elastic.co/guide/en/logstash/current/getting-started-with-logstash.html"
einfo ""
einfo "Packages that might be interesting:"
einfo " app-misc/elasticsearch"
einfo " dev-python/elasticsearch-curator"
einfo " www-apps/kibana-bin"
}

@ -1,87 +0,0 @@
# ChangeLog for app-crypt/qca-cyrus-sasl
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/qca-cyrus-sasl/ChangeLog,v 1.12 2012/06/14 07:06:37 yngwin Exp $
14 Jun 2012; Ben de Groot <yngwin@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
Destabling to ~ia64 because last available stable qt will be masked pending
removal
26 Mar 2010; Ben de Groot <yngwin@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
Use qt4-r2.eclass (bug #311481). Tighten formatting.
13 Nov 2009; Joseph Jezak <josejx@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
Marked ppc64 stable for bug #272685.
19 Aug 2009; Petteri Räty <betelgeuse@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
Migrated to EAPI 2 in order to get rid of built_with_use.
21 Jul 2009; Raúl Porcel <armin76@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
ia64/sparc stable wrt #272865
16 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
Stable on alpha, bug #272865
10 Jun 2009; Markus Meier <maekke@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
amd64/x86 stable, bug #272865
08 Aug 2008; Alexis Ballier <aballier@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
keyword ~x86-fbsd
26 Mar 2008; Raúl Porcel <armin76@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
Add ~alpha/~ia64/~sparc wrt #213868
15 Mar 2008; Markus Rothe <corsair@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
Added ~ppc64
14 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org>
qca-cyrus-sasl-2.0.0_beta3.ebuild:
Removed accidental RESTRICT=mirror.
13 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org> +metadata.xml,
+qca-cyrus-sasl-2.0.0_beta3.ebuild:
Initial import to the tree as per bug 129536.
*qca-cyrus-sasl-2.0.0_beta3 (15 Dec 2007)
15 Dec 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
-qca-cyrus-sasl-2.0.0_beta1.ebuild, +qca-cyrus-sasl-2.0.0_beta3.ebuild:
Added qca-cyrus-sasl-2.0.0_beta3.ebuild.
*qca-cyrus-sasl-2.0.0_beta1 (06 Nov 2007)
06 Nov 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
-qca-cyrus-sasl-0.1_p20070829-r1.ebuild,
+qca-cyrus-sasl-2.0.0_beta1.ebuild:
Added qca-cyrus-sasl-2.0.0_beta1.ebuild, thanks to Davide Pesavento in Bug
129536.
04 Oct 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
-qca-cyrus-sasl-0.1_p20070829.ebuild,
qca-cyrus-sasl-0.1_p20070829-r1.ebuild:
Minor changes to the -r1 ebuild, thanks to Davide Pesavento. See bug #129536.
Removed qca-cyrus-sasl-0.1_p20070829 ebuild.
*qca-cyrus-sasl-0.1_p20070829-r1 (10 Sep 2007)
10 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-cyrus-sasl-0.1_p20070829-r1.ebuild:
Updated to reflect change about the behaviour of debug builds.
Thanks to Davide Pesavento.
*qca-cyrus-sasl-0.1_p20070829 (07 Sep 2007)
07 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-cyrus-sasl-0.1_p20070829.ebuild:
Added qca-cyrus-sasl-0.1_p20070829. Moving to a more sane qca2 framework.
Many thanks to Davide Pesavento and Alon Bar-Lev, see bug #129536.

@ -1 +0,0 @@
DIST qca-cyrus-sasl-2.0.0-beta3.tar.bz2 24075 SHA256 d4370c238808811a0b5e9367069296a6330b169f091c5ea5d4d18eedb6bb11b9 SHA512 933ac335aa04f7f9643c89ff94005c465c5a0c8cda494fa4849d0c8709d7d7a94bcc3f0dd1f97a940e73cd4a088e027bed63598cd95cebb13984e45f479ffa0a WHIRLPOOL a4840df54f42bbe8d3d364fda57df8297323f33c57afc45377e4c6dd758d2a6e4398333c4e9196c0ff25a56ca939e8ee11cf91b00daab341f6ac1d8c358e9be5

@ -1,7 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>kde</herd>
<herd>crypto</herd>
<herd>qt</herd>
</pkgmetadata>

@ -1,36 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="2"
inherit eutils qt4-r2
MY_P="${P/_/-}"
QCA_VER="${PV%.*}"
DESCRIPTION="SASL plugin for QCA"
HOMEPAGE="http://delta.affinix.com/qca/"
SRC_URI="http://delta.affinix.com/download/qca/${QCA_VER}/plugins/${MY_P}.tar.bz2"
LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="alpha amd64 ~ia64 ppc64 sparc x86 ~x86-fbsd"
IUSE="debug"
DEPEND=">=app-crypt/qca-${QCA_VER}[debug?]
dev-libs/cyrus-sasl"
RDEPEND="${DEPEND}"
S=${WORKDIR}/${MY_P}
src_configure() {
# cannot use econf because of non-standard configure script
./configure --qtdir=/usr --no-separate-debug-info \
$(use debug && echo "--debug" || echo "--release") || die
eqmake4
}
src_install() {
emake INSTALL_ROOT="${D}" install || die
}

@ -1,131 +0,0 @@
# ChangeLog for app-crypt/qca-gnupg
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/qca-gnupg/ChangeLog,v 1.25 2013/03/02 19:16:29 hwoarang Exp $
02 Mar 2013; Markos Chandras <hwoarang@gentoo.org>
qca-gnupg-2.0.0_beta3.ebuild:
Move Qt dependencies to the new category
26 Jul 2012; Michael Palimaka <kensington@gentoo.org>
qca-gnupg-2.0.0_beta3.ebuild:
Add missing slot dependencies on Qt.
14 Jun 2012; Ben de Groot <yngwin@gentoo.org> qca-gnupg-2.0.0_beta3.ebuild:
Destabling to ~ia64 because last available stable qt will be masked pending
removal
26 Mar 2010; Ben de Groot <yngwin@gentoo.org>
qca-gnupg-2.0.0_beta3.ebuild:
Use qt4-r2.eclass (bug #311481). Tighten formatting.
29 Dec 2009; Raúl Porcel <armin76@gentoo.org>
qca-gnupg-2.0.0_beta3.ebuild:
Add ~arm wrt #288000
19 Aug 2009; Petteri Räty <betelgeuse@gentoo.org>
-qca-gnupg-2.0.0_beta2.ebuild:
Remove old version.
21 Jul 2009; Raúl Porcel <armin76@gentoo.org>
qca-gnupg-2.0.0_beta3.ebuild:
ia64/sparc stable wrt #272865
16 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
qca-gnupg-2.0.0_beta3.ebuild:
Stable on alpha, bug #272865
10 Jun 2009; Markus Meier <maekke@gentoo.org>
qca-gnupg-2.0.0_beta3.ebuild:
amd64/x86 stable, bug #272865
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qca-gnupg-2.0.0_beta3.ebuild:
Stable for HPPA (bug #272865).
11 Apr 2009; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
qca-gnupg-2.0.0_beta3.ebuild:
Add missing dependency on x11-libs/qt-core (bug #257775).
20 Sep 2008; Raúl Porcel <armin76@gentoo.org>
qca-gnupg-2.0.0_beta2.ebuild:
x86 stable wrt #236497
17 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
qca-gnupg-2.0.0_beta2.ebuild:
Sparc stable, needed for Bug #236497.
17 Sep 2008; Thomas Anderson <gentoofan23@gentoo.org>
qca-gnupg-2.0.0_beta2.ebuild:
stable amd64, bug 236497
17 Sep 2008; Brent Baude <ranger@gentoo.org> qca-gnupg-2.0.0_beta3.ebuild:
stable ppc64, bug 236497
13 Sep 2008; Jeroen Roovers <jer@gentoo.org> qca-gnupg-2.0.0_beta2.ebuild:
Stable for HPPA (bug #236497).
13 Sep 2008; nixnut <nixnut@gentoo.org> qca-gnupg-2.0.0_beta3.ebuild:
Stable on ppc wrt bug 236497
*qca-gnupg-2.0.0_beta3 (31 Aug 2008)
31 Aug 2008; Daniel Black <dragonheart@gentoo.org>
+qca-gnupg-2.0.0_beta3.ebuild:
version bump as per bug #225389 requested by Davide Pesavento
18 Jul 2008; Alexis Ballier <aballier@gentoo.org>
qca-gnupg-2.0.0_beta2.ebuild:
keyword ~x86-fbsd
27 Mar 2008; Jeroen Roovers <jer@gentoo.org> qca-gnupg-2.0.0_beta2.ebuild:
Marked ~hppa (bug #211667).
27 Mar 2008; Markus Rothe <corsair@gentoo.org>
qca-gnupg-2.0.0_beta2.ebuild:
Added ~ppc
26 Mar 2008; Raúl Porcel <armin76@gentoo.org>
qca-gnupg-2.0.0_beta2.ebuild:
Add ~alpha/~ia64/~sparc wrt #213868
15 Mar 2008; Markus Rothe <corsair@gentoo.org>
qca-gnupg-2.0.0_beta2.ebuild:
Added ~ppc64
14 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org> metadata.xml,
qca-gnupg-2.0.0_beta2.ebuild:
Removed accidental RESTRICT=mirror and updated metadata.xml.
13 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org> +metadata.xml,
+qca-gnupg-2.0.0_beta2.ebuild:
Initial import to the tree as per bug 129536.
*qca-gnupg-2.0.0_beta2 (15 Dec 2007)
15 Dec 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
-qca-gnupg-2.0.0_beta1.ebuild, +qca-gnupg-2.0.0_beta2.ebuild:
Added qca-gnupg-2.0.0_beta2.ebuild.
*qca-gnupg-2.0.0_beta1 (06 Nov 2007)
06 Nov 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
+qca-gnupg-2.0.0_beta1.ebuild, -qca-gnupg-0.1_p20070904-r1.ebuild:
Added qca-gnupg-2.0.0_beta1.ebuild, thanks to Davide Pesavento in Bug 129536.
04 Oct 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
-qca-gnupg-0.1_p20070904.ebuild, qca-gnupg-0.1_p20070904-r1.ebuild:
Minor changes to the ebuild, thanks to Davide Pesavento. See bug #129536.
Removed '-r0' ebuild.
*qca-gnupg-0.1_p20070904-r1 (10 Sep 2007)
10 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-gnupg-0.1_p20070904-r1.ebuild:
Updated to reflect change about the behaviour of debug builds.
Thanks to Davide Pesavento.
*qca-gnupg-0.1_p20070904 (07 Sep 2007)
07 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-gnupg-0.1_p20070904.ebuild:
Added qca-gnupg-0.1_p20070904. Moving to a more sane qca2 framework. Many
thanks to Davide Pesavento and Alon Bar-Lev, see bug #129536.

@ -1 +0,0 @@
DIST qca-gnupg-2.0.0-beta3.tar.bz2 38177 SHA256 b255bc52050811cfdc4256bb48223b7b6d9ca553b6185e98190de15e4b5fffcd SHA512 b9e0591e861a57c10accbdf91ba6ff5f3cd272254bcd1425a44cdce2689cb626fbf9d62f2657724f293f5ca60dfb4bc5aa7ada850b768f6cba6bb388b97bbdc7 WHIRLPOOL 3b77a95b1c64ace42c509a5bc934873516f34f42cceaa5a0f1c02928871b77628dd8749d33c77e0a7c8bdd8ff0fb536aa6917fb871fe5c9fd4e8b0766bd558b3

@ -1,7 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>kde</herd>
<herd>crypto</herd>
<herd>qt</herd>
</pkgmetadata>

@ -1,37 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="2"
inherit eutils qt4-r2
MY_P="${P/_/-}"
QCA_VER="${PV%.*}"
DESCRIPTION="GnuPG plugin for QCA"
HOMEPAGE="http://delta.affinix.com/qca/"
SRC_URI="http://delta.affinix.com/download/qca/${QCA_VER}/plugins/${MY_P}.tar.bz2"
LICENSE="GPL-2"
SLOT="2"
KEYWORDS="alpha amd64 ~arm hppa ~ia64 ppc ppc64 sparc x86 ~x86-fbsd"
IUSE="debug"
DEPEND=">=app-crypt/qca-${QCA_VER}[debug?]
dev-qt/qtcore:4"
RDEPEND="${DEPEND}
app-crypt/gnupg"
S=${WORKDIR}/${MY_P}
src_configure() {
# cannot use econf because of non-standard configure script
./configure --qtdir=/usr --no-separate-debug-info \
$(use debug && echo "--debug" || echo "--release") || die
eqmake4
}
src_install() {
emake INSTALL_ROOT="${D}" install || die
}

@ -1,86 +0,0 @@
# ChangeLog for app-crypt/qca-logger
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/qca-logger/ChangeLog,v 1.13 2015/02/22 07:43:46 jer Exp $
22 Feb 2015; Jeroen Roovers <jer@gentoo.org> qca-logger-2.0.0_beta2.ebuild:
Stable for HPPA (bug #540976).
14 Jun 2012; Ben de Groot <yngwin@gentoo.org> qca-logger-2.0.0_beta2.ebuild:
Destabling to ~ia64 because last available stable qt will be masked pending
removal
26 Mar 2010; Ben de Groot <yngwin@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
Use qt4-r2.eclass (bug #311481). Tighten formatting.
13 Nov 2009; Joseph Jezak <josejx@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
Marked ppc64 stable for bug #272685.
19 Aug 2009; Petteri Räty <betelgeuse@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
Migrate to EAPI 2 in order to nuke built_with_use.
21 Jul 2009; Raúl Porcel <armin76@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
ia64/sparc stable wrt #272865
16 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
Stable on alpha, bug #272865
10 Jun 2009; Markus Meier <maekke@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
amd64/x86 stable, bug #272865
08 Aug 2008; Alexis Ballier <aballier@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
keyword ~x86-fbsd
26 Mar 2008; Raúl Porcel <armin76@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
Add ~alpha/~ia64/~sparc wrt #213868
15 Mar 2008; Markus Rothe <corsair@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
Added ~ppc64
14 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org>
qca-logger-2.0.0_beta2.ebuild:
Removed accidental RESTRICT=mirror.
13 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org> +metadata.xml,
+qca-logger-2.0.0_beta2.ebuild:
Initial import to the tree as per bug 129536.
*qca-logger-2.0.0_beta2 (15 Dec 2007)
15 Dec 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
-qca-logger-2.0.0_beta1.ebuild, +qca-logger-2.0.0_beta2.ebuild:
Added qca-logger-2.0.0_beta2.ebuild.
*qca-logger-2.0.0_beta1 (06 Nov 2007)
06 Nov 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
-qca-logger-0.1_p20070829-r1.ebuild, +qca-logger-2.0.0_beta1.ebuild:
Added qca-logger-2.0.0_beta1.ebuild, thanks to Davide Pesavento in Bug 129536.
04 Oct 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
-qca-logger-0.1_p20070829.ebuild, qca-logger-0.1_p20070829-r1.ebuild:
Minor changes to the ebuild, thanks to Davide Pesavento. See bug #129536.
Removed old '-r0' ebuild.
*qca-logger-0.1_p20070829-r1 (10 Sep 2007)
10 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-logger-0.1_p20070829-r1.ebuild:
Updated to reflect change about the behaviour of debug builds.
Thanks to Davide Pesavento.
*qca-logger-0.1_p20070829 (07 Sep 2007)
07 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-logger-0.1_p20070829.ebuild:
Added qca-logger-0.1_p20070829. Moving to a more sane qca2 framework. Many
thanks to Davide Pesavento and Alon Bar-Lev, see bug #129536.

@ -1 +0,0 @@
DIST qca-logger-2.0.0-beta2.tar.bz2 20484 SHA256 da5931d55778719cd19bd7e327655dc7e96fd9b772347abb6a65df5f3019e88a SHA512 c92ec1fe00409c4f2ab445b13cd85275c92b5ab981ac7fd93bb89009082b6f584e27d67d74211887c865e0d65c3a2b0211b0f08506b961b730c15858d6c6df0a WHIRLPOOL 47f5699d2681a6745e44fb7407d9d561c4522bc5429ac8fe355d0ece4fe3da29b3fd2a9f0ab16c34c61f80108c8aa0116b81bead023d346e0ae786b4bf46f40b

@ -1,7 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>kde</herd>
<herd>crypto</herd>
<herd>qt</herd>
</pkgmetadata>

@ -1,36 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="2"
inherit eutils qt4-r2
MY_P="${P/_/-}"
QCA_VER="${PV%.*}"
DESCRIPTION="Logger plugin for QCA"
HOMEPAGE="http://delta.affinix.com/qca/"
SRC_URI="http://delta.affinix.com/download/qca/${QCA_VER}/plugins/${MY_P}.tar.bz2"
LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="alpha amd64 hppa ~ia64 ppc64 sparc x86 ~x86-fbsd"
IUSE="debug"
DEPEND=">=app-crypt/qca-${QCA_VER}[debug?]"
RDEPEND="${DEPEND}"
S=${WORKDIR}/${MY_P}
src_configure() {
# cannot use econf because of non-standard configure script
./configure --qtdir=/usr --no-separate-debug-info \
$(use debug && echo "--debug" || echo "--release") || die
eqmake4
}
src_install() {
emake INSTALL_ROOT="${D}" install || die
dodoc README || die
}

@ -1,168 +0,0 @@
# ChangeLog for app-crypt/qca-ossl
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/qca-ossl/ChangeLog,v 1.35 2012/06/14 07:01:37 yngwin Exp $
14 Jun 2012; Ben de Groot <yngwin@gentoo.org> qca-ossl-2.0.0_beta3-r2.ebuild:
Destabling to ~ia64 because last available stable qt will be masked pending
removal
17 Aug 2011; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
qca-ossl-2.0.0_beta3-r2.ebuild:
keyword ~sparc-solaris
16 May 2011; Jeroen Roovers <jer@gentoo.org>
files/qca-ossl-openssl-1.0.0.patch:
Remove relative paths in patch.
04 May 2011; Tomáš Chvátal <scarabeus@gentoo.org>
-files/qca-ossl-openssl-0.9.8i.patch:
old
05 Oct 2010; Jeroen Roovers <jer@gentoo.org>
qca-ossl-2.0.0_beta3-r2.ebuild:
Stable for HPPA (bug #320469).
19 Jul 2010; Samuli Suominen <ssuominen@gentoo.org>
qca-ossl-2.0.0_beta3-r2.ebuild:
ppc64 stable wrt #320469
25 Jun 2010; Raúl Porcel <armin76@gentoo.org>
qca-ossl-2.0.0_beta3-r2.ebuild:
alpha/ia64/sparc stable wrt #320469
15 Jun 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
qca-ossl-2.0.0_beta3-r2.ebuild:
x86 stable wrt bug #320469
25 May 2010; Pacho Ramos <pacho@gentoo.org>
qca-ossl-2.0.0_beta3-r2.ebuild:
stable amd64, bug 320469
24 May 2010; <nixnut@gentoo.org> qca-ossl-2.0.0_beta3-r2.ebuild:
ppc stable #320469
*qca-ossl-2.0.0_beta3-r2 (18 Apr 2010)
18 Apr 2010; Maciej Mrozowski <reavertm@gentoo.org>
+files/qca-ossl-openssl-1.0.0.patch, +qca-ossl-2.0.0_beta3-r2.ebuild:
Fix bug 313571 - openssl-1 support
26 Mar 2010; Ben de Groot <yngwin@gentoo.org>
qca-ossl-2.0.0_beta3-r1.ebuild:
Use qt4-r2.eclass (bug #311481). Tighten formatting.
22 Jan 2010; Jonathan Callen <abcd@gentoo.org>
-qca-ossl-2.0.0_beta3.ebuild, qca-ossl-2.0.0_beta3-r1.ebuild:
Keyword ~amd64-linux/~x86-linux, prefixify; remove old
29 Dec 2009; Raúl Porcel <armin76@gentoo.org>
qca-ossl-2.0.0_beta3.ebuild, qca-ossl-2.0.0_beta3-r1.ebuild:
Add ~arm wrt #288000
13 Nov 2009; Joseph Jezak <josejx@gentoo.org>
qca-ossl-2.0.0_beta3-r1.ebuild:
Marked ppc64 stable for bug #272685.
09 Aug 2009; nixnut <nixnut@gentoo.org> qca-ossl-2.0.0_beta3-r1.ebuild:
ppc stable #272865
21 Jul 2009; Raúl Porcel <armin76@gentoo.org>
qca-ossl-2.0.0_beta3-r1.ebuild:
ia64/sparc stable wrt #272865
16 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
qca-ossl-2.0.0_beta3-r1.ebuild:
Stable on alpha, bug #272865
10 Jun 2009; Markus Meier <maekke@gentoo.org>
qca-ossl-2.0.0_beta3-r1.ebuild:
amd64/x86 stable, bug #272865
08 Jun 2009; Jeroen Roovers <jer@gentoo.org>
qca-ossl-2.0.0_beta3-r1.ebuild:
Stable for HPPA (bug #272865).
*qca-ossl-2.0.0_beta3-r1 (25 May 2009)
25 May 2009; Tomas Chvatal <scarabeus@gentoo.org>
+qca-ossl-2.0.0_beta3-r1.ebuild:
Eapy2fy the build system. Per bug #270653.
03 Oct 2008; Peter Alfredsen <loki_val@gentoo.org>
files/qca-ossl-openssl-0.9.8i.patch qca-ossl-2.0.0_beta3.ebuild:
Fix compilation failure w/ openssl-0.9.8i by commenting out some ifdeffed
code. Bug 239449.
20 Sep 2008; Raúl Porcel <armin76@gentoo.org>
qca-ossl-2.0.0_beta3.ebuild:
x86 stable wrt #236497
17 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
qca-ossl-2.0.0_beta3.ebuild:
Sparc stable, needed for Bug #236497.
17 Sep 2008; Thomas Anderson <gentoofan23@gentoo.org>
qca-ossl-2.0.0_beta3.ebuild:
stable amd64, bug 236497
17 Sep 2008; Brent Baude <ranger@gentoo.org> qca-ossl-2.0.0_beta3.ebuild:
stable ppc64, bug 236497
13 Sep 2008; Jeroen Roovers <jer@gentoo.org> qca-ossl-2.0.0_beta3.ebuild:
Stable for HPPA (bug #236497).
13 Sep 2008; nixnut <nixnut@gentoo.org> qca-ossl-2.0.0_beta3.ebuild:
Stable on ppc wrt bug 236497
18 Jul 2008; Alexis Ballier <aballier@gentoo.org>
qca-ossl-2.0.0_beta3.ebuild:
keyword ~x86-fbsd
27 Mar 2008; Jeroen Roovers <jer@gentoo.org> qca-ossl-2.0.0_beta3.ebuild:
Marked ~hppa (bug #211667).
27 Mar 2008; Markus Rothe <corsair@gentoo.org>
qca-ossl-2.0.0_beta3.ebuild:
Added ~ppc
26 Mar 2008; Raúl Porcel <armin76@gentoo.org>
qca-ossl-2.0.0_beta3.ebuild:
Add ~alpha/~ia64/~sparc wrt #213868
15 Mar 2008; Markus Rothe <corsair@gentoo.org>
qca-ossl-2.0.0_beta3.ebuild:
Added ~ppc64
14 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org>
qca-ossl-2.0.0_beta3.ebuild:
Removed accidental RESTRICT=mirror.
13 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org> +metadata.xml,
+qca-ossl-2.0.0_beta3.ebuild:
Initial import to the tree as per bug 129536.
*qca-ossl-2.0.0_beta3 (15 Dec 2007)
15 Dec 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
-qca-ossl-2.0.0_beta1.ebuild, +qca-ossl-2.0.0_beta3.ebuild:
Added qca-ossl-2.0.0_beta3.ebuild.
06 Nov 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
-qca-ossl-0.1_p20070904-r1.ebuild, +qca-ossl-2.0.0_beta1.ebuild:
Added qca-ossl-2.0.0_beta1.ebuild, thanks to Davide Pesavento in Bug 129536.
04 Oct 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
-qca-ossl-0.1_p20070904.ebuild, qca-ossl-0.1_p20070904-r1.ebuild:
Minor changes to the ebuild, thanks to Davide Pesavento. See bug #129536.
Removed '-r0' ebuild.
10 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-ossl-0.1_p20070904-r1.ebuild:
Updated to reflect change about the behaviour of debug builds.
Thanks to Davide Pesavento.
07 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-ossl-0.1_p20070904.ebuild:
Added qca-ossl-0.1_p20070904. Moving to a more sane qca2 framework. Many
thanks to Davide Pesavento and Alon Bar-Lev, see bug #129536.

@ -1 +0,0 @@
DIST qca-ossl-2.0.0-beta3.tar.bz2 49188 SHA256 08e09ff586b184d5fb53b88f0b48eed0a7bf0a5f210a9f97a76cf4cd5446c67b SHA512 17b30099c1bc8650757d71fd9e7824831b132cedc920f59832cb5a8096b90932834e05f3f77ed34e213fdadf881625710e1311ae4fcc4c0919a1684adb4525b8 WHIRLPOOL e9acef78158d1a2c68878f0f5ee539be1e34382e3b8481eade51e12ce616abd6a577be4d1fcf5318ea201256f9f54cf90c764d0cb200b93772fd69a587cb0af6

@ -1,155 +0,0 @@
diff -ru a/CMakeLists.txt b/CMakeLists.txt
--- a/CMakeLists.txt 2007-06-29 23:10:53.000000000 +0200
+++ b/CMakeLists.txt 2010-04-18 04:05:09.000000000 +0200
@@ -1,5 +1,12 @@
# QCA OSSL
+INCLUDE(CheckFunctionExists)
+SET(CMAKE_REQUIRED_LIBRARIES ${OPENSSL_LIBRARIES})
+CHECK_FUNCTION_EXISTS(EVP_md2 HAVE_OPENSSL_MD2)
+IF (HAVE_OPENSSL_MD2)
+ ADD_DEFINITIONS(-DHAVE_OPENSSL_MD2)
+ENDIF (HAVE_OPENSSL_MD2)
+
SET(QCA_OSSL_SOURCES qca-ossl.cpp)
MY_AUTOMOC( QCA_OSSL_SOURCES )
diff -ru a/qca-ossl.cpp b/qca-ossl.cpp
--- a/qca-ossl.cpp 2007-12-11 07:34:57.000000000 +0100
+++ b/qca-ossl.cpp 2010-04-18 04:08:46.000000000 +0200
@@ -42,6 +42,15 @@
#define OSSL_097
#endif
+#if defined(OPENSSL_VERSION_NUMBER) && OPENSSL_VERSION_NUMBER >= 0x10000000L
+// OpenSSL 1.0.0 makes a few changes that aren't very C++ friendly...
+// Among other things, CHECKED_PTR_OF returns a void*, but is used in
+// contexts requiring STACK pointers.
+#undef CHECKED_PTR_OF
+#define CHECKED_PTR_OF(type, p) \
+ ((_STACK*) (1 ? p : (type*)0))
+#endif
+
using namespace QCA;
namespace opensslQCAPlugin {
@@ -1771,8 +1780,10 @@
md = EVP_sha1();
else if(alg == EMSA3_MD5)
md = EVP_md5();
+#ifdef HAVE_OPENSSL_MD2
else if(alg == EMSA3_MD2)
md = EVP_md2();
+#endif
else if(alg == EMSA3_RIPEMD160)
md = EVP_ripemd160();
else if(alg == EMSA3_Raw)
@@ -1789,8 +1800,10 @@
md = EVP_sha1();
else if(alg == EMSA3_MD5)
md = EVP_md5();
+#ifdef HAVE_OPENSSL_MD2
else if(alg == EMSA3_MD2)
md = EVP_md2();
+#endif
else if(alg == EMSA3_RIPEMD160)
md = EVP_ripemd160();
else if(alg == EMSA3_Raw)
@@ -3385,9 +3398,11 @@
case NID_md5WithRSAEncryption:
p.sigalgo = QCA::EMSA3_MD5;
break;
+#ifdef HAVE_OPENSSL_MD2
case NID_md2WithRSAEncryption:
p.sigalgo = QCA::EMSA3_MD2;
break;
+#endif
case NID_ripemd160WithRSA:
p.sigalgo = QCA::EMSA3_RIPEMD160;
break;
@@ -3871,9 +3886,11 @@
case NID_md5WithRSAEncryption:
p.sigalgo = QCA::EMSA3_MD5;
break;
+#ifdef HAVE_OPENSSL_MD2
case NID_md2WithRSAEncryption:
p.sigalgo = QCA::EMSA3_MD2;
break;
+#endif
case NID_ripemd160WithRSA:
p.sigalgo = QCA::EMSA3_RIPEMD160;
break;
@@ -4061,9 +4078,11 @@
case NID_md5WithRSAEncryption:
p.sigalgo = QCA::EMSA3_MD5;
break;
+#ifdef HAVE_OPENSSL_MD2
case NID_md2WithRSAEncryption:
p.sigalgo = QCA::EMSA3_MD2;
break;
+#endif
case NID_ripemd160WithRSA:
p.sigalgo = QCA::EMSA3_RIPEMD160;
break;
@@ -6582,7 +6601,9 @@
list += "sha1";
list += "sha0";
list += "ripemd160";
+#ifdef HAVE_OPENSSL_MD2
list += "md2";
+#endif
list += "md4";
list += "md5";
#ifdef SHA224_DIGEST_LENGTH
@@ -6597,9 +6618,11 @@
#ifdef SHA512_DIGEST_LENGTH
list += "sha512";
#endif
+/*
#ifdef OBJ_whirlpool
list += "whirlpool";
#endif
+*/
return list;
}
@@ -6757,7 +6780,9 @@
list += all_hash_types();
list += all_mac_types();
list += all_cipher_types();
+#ifdef HAVE_OPENSSL_MD2
list += "pbkdf1(md2)";
+#endif
list += "pbkdf1(sha1)";
list += "pbkdf2(sha1)";
list += "pkey";
@@ -6788,8 +6813,10 @@
return new opensslHashContext( EVP_sha(), this, type);
else if ( type == "ripemd160" )
return new opensslHashContext( EVP_ripemd160(), this, type);
+#ifdef HAVE_OPENSSL_MD2
else if ( type == "md2" )
return new opensslHashContext( EVP_md2(), this, type);
+#endif
else if ( type == "md4" )
return new opensslHashContext( EVP_md4(), this, type);
else if ( type == "md5" )
@@ -6810,14 +6837,18 @@
else if ( type == "sha512" )
return new opensslHashContext( EVP_sha512(), this, type);
#endif
+/*
#ifdef OBJ_whirlpool
else if ( type == "whirlpool" )
return new opensslHashContext( EVP_whirlpool(), this, type);
#endif
+*/
else if ( type == "pbkdf1(sha1)" )
return new opensslPbkdf1Context( EVP_sha1(), this, type );
+#ifdef HAVE_OPENSSL_MD2
else if ( type == "pbkdf1(md2)" )
return new opensslPbkdf1Context( EVP_md2(), this, type );
+#endif
else if ( type == "pbkdf2(sha1)" )
return new opensslPbkdf2Context( this, type );
else if ( type == "hmac(md5)" )

@ -1,7 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>kde</herd>
<herd>crypto</herd>
<herd>qt</herd>
</pkgmetadata>

@ -1,42 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="2"
inherit eutils qt4-r2
MY_P="${P/_/-}"
QCA_VER="${PV%.*}"
DESCRIPTION="TLS, S/MIME, PKCS#12, crypto algorithms plugin for QCA"
HOMEPAGE="http://delta.affinix.com/qca/"
SRC_URI="http://delta.affinix.com/download/qca/${QCA_VER}/plugins/${MY_P}.tar.bz2"
LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="alpha amd64 ~arm hppa ~ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris"
IUSE="debug"
DEPEND=">=app-crypt/qca-${QCA_VER}[debug?]
>=dev-libs/openssl-0.9.6"
RDEPEND="${DEPEND}"
S=${WORKDIR}/${MY_P}
PATCHES=( "${FILESDIR}/${PN}-openssl-1.0.0.patch" )
src_configure() {
use prefix || EPREFIX=
# Fix some locations
sed -e "s|/usr/|${EPREFIX}/usr/|g" -e "s|usr/local|usr/|g" -i configure
# cannot use econf because of non-standard configure script
./configure --qtdir="${EPREFIX}"/usr --no-separate-debug-info \
$(use debug && echo "--debug" || echo "--release") || die
eqmake4
}
src_install() {
emake INSTALL_ROOT="${D}" install || die
}

@ -1,62 +0,0 @@
# ChangeLog for app-crypt/qca-pkcs11
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/qca-pkcs11/ChangeLog,v 1.7 2010/01/07 09:01:10 hwoarang Exp $
07 Jan 2010; <hwoarang@gentoo.org> qca-pkcs11-2.0.0_beta2.ebuild:
migrated to qt4-r2 eclass
19 Aug 2009; Petteri Räty <betelgeuse@gentoo.org>
qca-pkcs11-2.0.0_beta2.ebuild:
Migrate to EAPI 2 in order to nuke built_with_use.
24 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
qca-pkcs11-2.0.0_beta2.ebuild, +files/qca-pkcs11-2.0.0_beta2-gcc44.patch:
Fix building with GCC 4.4 wrt #276890.
08 Aug 2008; Alexis Ballier <aballier@gentoo.org>
qca-pkcs11-2.0.0_beta2.ebuild:
keyword ~x86-fbsd
15 Mar 2008; Markus Rothe <corsair@gentoo.org>
qca-pkcs11-2.0.0_beta2.ebuild:
Added ~ppc64
14 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org>
qca-pkcs11-2.0.0_beta2.ebuild:
Removed accidental RESTRICT=mirror.
13 Jan 2008; Wulf C. Krueger <philantrop@gentoo.org> +metadata.xml,
+qca-pkcs11-2.0.0_beta2.ebuild:
Initial import to the tree as per bug 129536.
*qca-pkcs11-2.0.0_beta2 (15 Dec 2007)
15 Dec 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
-qca-pkcs11-2.0.0_beta1.ebuild, +qca-pkcs11-2.0.0_beta2.ebuild:
Added qca-pkcs11-2.0.0_beta2.ebuild.
*qca-pkcs11-2.0.0_beta1 (06 Nov 2007)
06 Nov 2007; Ingmar Vanhassel <ingmar.vanhassel@gmail.com>
-qca-pkcs11-0.1_p20070829-r1.ebuild, +qca-pkcs11-2.0.0_beta1.ebuild:
Added qca-pkcs11-2.0.0_beta1.ebuild, thanks to Davide Pesavento in Bug 129536.
04 Oct 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
-qca-pkcs11-0.1_p20070829.ebuild, qca-pkcs11-0.1_p20070829-r1.ebuild:
Minor changes, thanks to Davide Pesavento. See bug #129536.
Removed '-r0' ebuild.
*qca-pkcs11-0.1_p20070829-r1 (10 Sep 2007):
10 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-pkcs11-0.1_p20070829-r1.ebuild:
Updated to reflect change about the behaviour of debug builds.
Thanks to Davide Pesavento.
*qca-pkcs11-0.1_p20070829 (07 Sep 2007):
07 Sep 2007; Emanuele A. Bagnaschi <zephyrus@mirach.it>
+qca-pkcs11-0.1_p20070829.ebuild:
Added qca-pkcs11-0.1_p20070829. Moving to a more sane qca2 framework. Many
thanks to Davide Pesavento and Alon Bar-Lev, see bug #129536.

@ -1 +0,0 @@
DIST qca-pkcs11-2.0.0-beta2.tar.bz2 30383 SHA256 959ab33ff16f2d28035025a9c06b2e6b89c1b3a52605811b51a73076f381e6c5 SHA512 55510ecf2479aec2c76b5805ddda8d4fafa74c5c84f0febc3bd8e79009f6e900e5f23f8f5a12069d95d4268d3b4596ce57c690b3e483ead670c7f91f02404e3a WHIRLPOOL 07f082ff9438423672c5c397401dab2dab78197e74a6ff6d359162c1d6df088ee174932f7e9f2bc4297351be204e8dede4409bc95989d9613416d81e80144216

@ -1,12 +0,0 @@
diff -ur qca-pkcs11-2.0.0-beta2.orig/qca-pkcs11.cpp qca-pkcs11-2.0.0-beta2/qca-pkcs11.cpp
--- qca-pkcs11-2.0.0-beta2.orig/qca-pkcs11.cpp 2007-11-05 07:21:51.000000000 +0200
+++ qca-pkcs11-2.0.0-beta2/qca-pkcs11.cpp 2009-07-24 20:36:03.000000000 +0300
@@ -18,6 +18,8 @@
*
*/
+#include <cstdio>
+
#include <QtCrypto>
#include <qcaprovider.h>
#include <qplatformdefs.h>

@ -1,7 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>kde</herd>
<herd>crypto</herd>
<herd>qt</herd>
</pkgmetadata>

@ -1,40 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="2"
inherit eutils qt4-r2
MY_P="${P/_/-}"
QCA_VER="${PV%.*}"
DESCRIPTION="PKCS#11 (smartcard) plugin for QCA"
HOMEPAGE="http://delta.affinix.com/qca/"
SRC_URI="http://delta.affinix.com/download/qca/${QCA_VER}/plugins/${MY_P}.tar.bz2"
LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="~amd64 ~ppc64 ~x86 ~x86-fbsd"
IUSE="debug"
DEPEND=">=app-crypt/qca-${QCA_VER}[debug?]
>=dev-libs/pkcs11-helper-1.02"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_P}"
DOCS="README"
src_prepare() {
epatch "${FILESDIR}"/${P}-gcc44.patch
}
src_configure() {
# cannot use econf because of non-standard configure script
./configure \
--qtdir=/usr \
$(use debug && echo "--debug" || echo "--release") \
--no-separate-debug-info \
|| die "configure failed"
qt4-r2_src_configure
}

@ -1,3 +1,2 @@
DIST qca-2.0.3.tar.bz2 4530731 SHA256 8da20c89f390954fdcfcd3c4deef379213ddb5ae9d6b5e0c917d23f5e474895f SHA512 c1120ffb373e294fbcc76e21dc2f503ebd3398b26d0ffa7ab7ee3a3e1a4228159358b59c2673ac4a1c2363771e61da54a5080b201c65d586ceda2e3b2facc1bb WHIRLPOOL 2efba46098490ab5a75dcdf95eeb7d81a5509a962403a44602caa126927ebe9e69cb043586dbaebf0b111b79e614b607ae851242d12af9fa17d2dd191e559b0e
DIST qca-2.1.1.tar.xz 688460 SHA256 95de3e7910b5f9ec7084169989c9d98bfb527e6a4865fe17269c3b24308be983 SHA512 f077b5a4cc6539e0880f4d0a615bebcf851f634e99c6c355522598204f625e5195e0cbc8a1976593669018e57eff95796c8fef69b1301b42cb18736bc8aa1abf WHIRLPOOL 454751a76f5e59aa09d6cc979bc26a490b23a2e5308f663400f45f38a95e6ad7a34428cffb1a2a82ec6958aa0b4418e0054503a58b43e0c172201cbaa7c669f8
DIST qca-qt5-2.1.0.3.tar.xz 685652 SHA256 ab0170696a8ff87588d38a72d36d0b4b42db9080c991d1a40ceb3f8311d289f9 SHA512 2f50c92d3ff927c83353b65ae56ff49a5c1ea439fcef94cea0092b718f04abcc18f455abd91337ac786fddedae980ff55c9d090b5743a96890174dc7eee4f3f1 WHIRLPOOL 9db2770b031dbf5c9c117d4150e0b395c94d8a0af1bda9fac5e1ee862a8a40f1c03fb0c4901e3aaba0b12e8c0b4e71cb55a872bbc54eea8331aff3fbe1fd853c

@ -1,13 +0,0 @@
Index: qca-2.0.2/configure
===================================================================
--- qca-2.0.2.orig/configure
+++ qca-2.0.2/configure
@@ -937,7 +937,7 @@ public:
if(!pcfiles.isEmpty())
{
str = QString(
- "pcfiles.path = \$\$LIBDIR/pkgconfig\n"
+ "pcfiles.path = \$\$LIBDIR/../pkgconfig\n"
"pcfiles.files = %1\n"
"INSTALLS += pcfiles\n"
).arg(pcfiles.join(" "));

@ -1,59 +0,0 @@
--- trunk/kdesupport/qca/src/botantools/botan/botan/secmem.h 2012/01/14 16:09:19 1273507
+++ trunk/kdesupport/qca/src/botantools/botan/botan/secmem.h 2012/01/14 17:12:15 1273508
@@ -191,15 +191,15 @@
{
public:
MemoryVector<T>& operator=(const MemoryRegion<T>& in)
- { if(this != &in) set(in); return (*this); }
+ { if(this != &in) this->set(in); return (*this); }
MemoryVector(u32bit n = 0) { MemoryRegion<T>::init(false, n); }
MemoryVector(const T in[], u32bit n)
- { MemoryRegion<T>::init(false); set(in, n); }
+ { MemoryRegion<T>::init(false); this->set(in, n); }
MemoryVector(const MemoryRegion<T>& in)
- { MemoryRegion<T>::init(false); set(in); }
+ { MemoryRegion<T>::init(false); this->set(in); }
MemoryVector(const MemoryRegion<T>& in1, const MemoryRegion<T>& in2)
- { MemoryRegion<T>::init(false); set(in1); append(in2); }
+ { MemoryRegion<T>::init(false); this->set(in1); append(in2); }
};
/*************************************************
@@ -210,15 +210,15 @@
{
public:
SecureVector<T>& operator=(const MemoryRegion<T>& in)
- { if(this != &in) set(in); return (*this); }
+ { if(this != &in) this->set(in); return (*this); }
SecureVector(u32bit n = 0) { MemoryRegion<T>::init(true, n); }
SecureVector(const T in[], u32bit n)
- { MemoryRegion<T>::init(true); set(in, n); }
+ { MemoryRegion<T>::init(true); this->set(in, n); }
SecureVector(const MemoryRegion<T>& in)
- { MemoryRegion<T>::init(true); set(in); }
+ { MemoryRegion<T>::init(true); this->set(in); }
SecureVector(const MemoryRegion<T>& in1, const MemoryRegion<T>& in2)
- { MemoryRegion<T>::init(true); set(in1); append(in2); }
+ { MemoryRegion<T>::init(true); this->set(in1); append(in2); }
};
/*************************************************
@@ -229,14 +229,14 @@
{
public:
SecureBuffer<T,L>& operator=(const SecureBuffer<T,L>& in)
- { if(this != &in) set(in); return (*this); }
+ { if(this != &in) this->set(in); return (*this); }
SecureBuffer() { MemoryRegion<T>::init(true, L); }
SecureBuffer(const T in[], u32bit n)
{ MemoryRegion<T>::init(true, L); copy(in, n); }
private:
SecureBuffer<T, L>& operator=(const MemoryRegion<T>& in)
- { if(this != &in) set(in); return (*this); }
+ { if(this != &in) this->set(in); return (*this); }
};
}

@ -1,28 +0,0 @@
From: Jan Grulich <jgrulich@redhat.com>
Date: Thu, 17 Sep 2015 14:14:24 +0000
Subject: Use Q_SLOTS/Q_SIGNALS instead of slots/signals in all headers from include dir
X-Git-Url: http://quickgit.kde.org/?p=qca.git&a=commitdiff&h=66b9754170759d9333d5fc1e348642814d0310dd
---
Use Q_SLOTS/Q_SIGNALS instead of slots/signals in all headers from include dir
REVIEW:125289
---
--- a/include/QtCrypto/qca_safetimer.h
+++ b/include/QtCrypto/qca_safetimer.h
@@ -44,12 +44,12 @@
void setSingleShot(bool singleShot);
int timerId() const;
-public slots:
+public Q_SLOTS:
void start(int msec);
void start();
void stop();
-signals:
+Q_SIGNALS:
void timeout();
protected:

@ -1,80 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="3"
inherit eutils multilib qt4-r2
DESCRIPTION="Qt Cryptographic Architecture (QCA)"
HOMEPAGE="http://delta.affinix.com/qca/"
SRC_URI="http://delta.affinix.com/download/${PN}/${PV%.*}/${P}.tar.bz2"
LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="alpha amd64 ~arm hppa ~ia64 ppc ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
IUSE="aqua debug doc examples gpg logger +openssl pkcs11 sasl"
RESTRICT="test"
DEPEND="dev-qt/qtcore:4[debug?]"
RDEPEND="${DEPEND}
!<app-crypt/qca-1.0-r3:0"
PDEPEND="gpg? ( app-crypt/qca-gnupg )
logger? ( app-crypt/qca-logger )
openssl? ( app-crypt/qca-ossl )
pkcs11? ( app-crypt/qca-pkcs11 )
sasl? ( app-crypt/qca-cyrus-sasl )"
src_prepare() {
epatch "${FILESDIR}"/${PN}-2.0.2-pcfilespath.patch \
"${FILESDIR}"/${P}+gcc-4.7.patch
if use aqua; then
sed -i -e "s|QMAKE_LFLAGS_SONAME =.*|QMAKE_LFLAGS_SONAME = -Wl,-install_name,|g" \
src/src.pro || die
fi
}
src_configure() {
# Ensure proper rpath
export EXTRA_QMAKE_RPATH="${EPREFIX}/usr/$(get_libdir)/qca2"
ABI= ./configure \
--prefix="${EPREFIX}"/usr \
--qtdir="${EPREFIX}"/usr \
--includedir="${EPREFIX}"/usr/include/qca2 \
--libdir="${EPREFIX}"/usr/$(get_libdir)/qca2 \
--certstore-path="${EPREFIX}"/etc/ssl/certs/ca-certificates.crt \
--no-separate-debug-info \
--disable-tests \
--$(use debug && echo debug || echo release) \
--no-framework \
|| die "configure failed"
eqmake4
}
src_install() {
emake INSTALL_ROOT="${D}" install || die
dodoc README TODO || die
cat <<-EOF > "${WORKDIR}"/44qca2
LDPATH="${EPREFIX}/usr/$(get_libdir)/qca2"
EOF
doenvd "${WORKDIR}"/44qca2 || die
if use doc; then
dohtml "${S}"/apidocs/html/* || die
fi
if use examples; then
insinto /usr/share/doc/${PF}/
doins -r "${S}"/examples || die
fi
# add the proper rpath for packages that do CONFIG += crypto
echo "QMAKE_RPATHDIR += \"${EPREFIX}/usr/$(get_libdir)/qca2\"" >> \
"${D%/}${EPREFIX}/usr/share/qt4/mkspecs/features/crypto.prf" \
|| die "failed to add rpath to crypto.prf"
}

@ -1,124 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit cmake-utils multibuild qmake-utils
MY_PN="${PN}-qt5"
DESCRIPTION="Qt Cryptographic Architecture (QCA)"
HOMEPAGE="http://delta.affinix.com/qca/"
SRC_URI="mirror://kde/stable/${MY_PN}/${PV}/src/${MY_PN}-${PV}.tar.xz"
LICENSE="LGPL-2.1"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
IUSE="botan debug doc examples gcrypt gpg logger nss +openssl pkcs11 +qt4 qt5 sasl softstore test"
REQUIRED_USE="|| ( qt4 qt5 )"
RDEPEND="
!app-crypt/qca-cyrus-sasl
!app-crypt/qca-gnupg
!app-crypt/qca-logger
!app-crypt/qca-ossl
!app-crypt/qca-pkcs11
botan? ( dev-libs/botan )
gcrypt? ( dev-libs/libgcrypt:= )
gpg? ( app-crypt/gnupg )
nss? ( dev-libs/nss )
openssl? ( >=dev-libs/openssl-1.0.1:0 )
pkcs11? (
dev-libs/openssl:0
dev-libs/pkcs11-helper
)
qt4? ( dev-qt/qtcore:4 )
qt5? (
dev-qt/qtcore:5
dev-qt/qtconcurrent:5
dev-qt/qtnetwork:5
)
sasl? ( dev-libs/cyrus-sasl:2 )
"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen )
test? (
qt4? ( dev-qt/qttest:4 )
qt5? ( dev-qt/qttest:5 )
)
"
S=${WORKDIR}/${MY_PN}-${PV}
DOCS=( README TODO )
PATCHES=(
"${FILESDIR}/${PN}-disable-pgp-test.patch"
"${FILESDIR}/${P}-qt55.patch"
"${FILESDIR}/${P}-fix-signals-slots.patch"
)
qca_plugin_use() {
echo -DWITH_${2:-$1}_PLUGIN=$(usex "$1")
}
pkg_setup() {
MULTIBUILD_VARIANTS=( $(usev qt4) $(usev qt5) )
}
src_configure() {
myconfigure() {
local mycmakeargs=(
-DQCA_FEATURE_INSTALL_DIR="${EPREFIX}$(${MULTIBUILD_VARIANT}_get_mkspecsdir)/features"
-DQCA_PLUGINS_INSTALL_DIR="${EPREFIX}$(${MULTIBUILD_VARIANT}_get_plugindir)"
$(qca_plugin_use botan)
$(qca_plugin_use gcrypt)
$(qca_plugin_use gpg gnupg)
$(qca_plugin_use logger)
$(qca_plugin_use nss)
$(qca_plugin_use openssl ossl)
$(qca_plugin_use pkcs11)
$(qca_plugin_use sasl cyrus-sasl)
$(qca_plugin_use softstore)
$(cmake-utils_use_build test TESTS)
)
if [[ ${MULTIBUILD_VARIANT} == qt4 ]]; then
mycmakeargs+=(-DQT4_BUILD=ON)
fi
cmake-utils_src_configure
}
multibuild_foreach_variant myconfigure
}
src_compile() {
multibuild_foreach_variant cmake-utils_src_compile
}
src_test() {
mytest() {
local -x QCA_PLUGIN_PATH="${BUILD_DIR}/lib/qca"
cmake-utils_src_test
}
multibuild_foreach_variant mytest
}
src_install() {
multibuild_foreach_variant cmake-utils_src_install
if use doc; then
pushd "${BUILD_DIR}" >/dev/null || die
doxygen Doxyfile.in || die
dodoc -r apidocs/html
popd >/dev/null || die
fi
if use examples; then
dodoc -r "${S}"/examples
fi
}

@ -1,128 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit cmake-utils multibuild qmake-utils
MY_PN="${PN}-qt5"
DESCRIPTION="Qt Cryptographic Architecture (QCA)"
HOMEPAGE="http://delta.affinix.com/qca/"
SRC_URI="mirror://kde/stable/${MY_PN}/${PV}/src/${MY_PN}-${PV}.tar.xz"
LICENSE="LGPL-2.1"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
IUSE="botan debug doc examples gcrypt gpg libressl logger nss +openssl pkcs11 +qt4 qt5 sasl softstore test"
REQUIRED_USE="|| ( qt4 qt5 )"
RDEPEND="
!app-crypt/qca-cyrus-sasl
!app-crypt/qca-gnupg
!app-crypt/qca-logger
!app-crypt/qca-ossl
!app-crypt/qca-pkcs11
botan? ( dev-libs/botan )
gcrypt? ( dev-libs/libgcrypt:= )
gpg? ( app-crypt/gnupg )
nss? ( dev-libs/nss )
openssl? (
!libressl? ( >=dev-libs/openssl-1.0.1:0 )
libressl? ( dev-libs/libressl )
)
pkcs11? (
!libressl? ( dev-libs/openssl:0 )
libressl? ( dev-libs/libressl )
dev-libs/pkcs11-helper
)
qt4? ( dev-qt/qtcore:4 )
qt5? (
dev-qt/qtcore:5
dev-qt/qtconcurrent:5
dev-qt/qtnetwork:5
)
sasl? ( dev-libs/cyrus-sasl:2 )
"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen )
test? (
qt4? ( dev-qt/qttest:4 )
qt5? ( dev-qt/qttest:5 )
)
"
S=${WORKDIR}/${MY_PN}-${PV}
DOCS=( README TODO )
PATCHES=(
"${FILESDIR}/${PN}-disable-pgp-test.patch"
"${FILESDIR}/${P}-qt55.patch"
"${FILESDIR}/${P}-fix-signals-slots.patch"
)
qca_plugin_use() {
echo -DWITH_${2:-$1}_PLUGIN=$(usex "$1")
}
pkg_setup() {
MULTIBUILD_VARIANTS=( $(usev qt4) $(usev qt5) )
}
src_configure() {
myconfigure() {
local mycmakeargs=(
-DQCA_FEATURE_INSTALL_DIR="${EPREFIX}$(${MULTIBUILD_VARIANT}_get_mkspecsdir)/features"
-DQCA_PLUGINS_INSTALL_DIR="${EPREFIX}$(${MULTIBUILD_VARIANT}_get_plugindir)"
$(qca_plugin_use botan)
$(qca_plugin_use gcrypt)
$(qca_plugin_use gpg gnupg)
$(qca_plugin_use logger)
$(qca_plugin_use nss)
$(qca_plugin_use openssl ossl)
$(qca_plugin_use pkcs11)
$(qca_plugin_use sasl cyrus-sasl)
$(qca_plugin_use softstore)
$(cmake-utils_use_build test TESTS)
)
if [[ ${MULTIBUILD_VARIANT} == qt4 ]]; then
mycmakeargs+=(-DQT4_BUILD=ON)
fi
cmake-utils_src_configure
}
multibuild_foreach_variant myconfigure
}
src_compile() {
multibuild_foreach_variant cmake-utils_src_compile
}
src_test() {
mytest() {
local -x QCA_PLUGIN_PATH="${BUILD_DIR}/lib/qca"
cmake-utils_src_test
}
multibuild_foreach_variant mytest
}
src_install() {
multibuild_foreach_variant cmake-utils_src_install
if use doc; then
pushd "${BUILD_DIR}" >/dev/null || die
doxygen Doxyfile.in || die
dodoc -r apidocs/html
popd >/dev/null || die
fi
if use examples; then
dodoc -r "${S}"/examples
fi
}

@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/gnucash/${P}.tar.gz"
SLOT="0"
LICENSE="GPL-2 FDL-1.1"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 ~x86"
IUSE="test"
RDEPEND="!<=app-office/gnucash-2.2.1"

@ -25,7 +25,7 @@ REQUIRED_USE="
python? ( ^^ ( $(python_gen_useflags '*') ) )
"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux"
# X libs are not needed for OSX (aqua)
COMMON_DEPEND="

@ -15,7 +15,7 @@ SRC_URI="https://github.com/rcaelers/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc ~x86"
# dbus support looks to be used only for trying to use panel applets on gnome3!
IUSE="ayatana doc gnome gstreamer introspection mate nls pulseaudio test xfce"

@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 ~x86"
IUSE="chipcard debug +doc gnome-keyring hbci mysql ofx postgres python quotes sqlite"
# FIXME: rdepend on dev-libs/qof when upstream fix their mess (see configure.ac)

@ -14,7 +14,7 @@ HOMEPAGE="http://www.gnumeric.org/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="+introspection libgda perl python"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"

@ -1,2 +1,3 @@
DIST calibre-1.20.0.tar.xz 32430560 SHA256 475e09b1be4b9977240cbbe6743ab79da4b1f1afe3fe6015d212d868e8f2fac4 SHA512 84ac25080cf4948398b79f9a1af688cca9cf9a5a9200b2aad649f5fda1cd0556be4ade0c8b09ea6ffcc95654eac0aaaa5b8f8ed6ea9830174bc150e64de85e31 WHIRLPOOL 61b6ecde2e3f8679c1afea95dcd152a94ce03522c06dff34b406a5705f6255243f0565fbb5f9bef3ac96d7127190bd1b4363233fa24fafcd0412e061201f6fe8
DIST calibre-2.35.0.tar.xz 37470944 SHA256 7d883c7ed5cf7c3c2e53c4d18e3a67c15d8a0d3425df57919adb57132860518f SHA512 a693c23e93ad1086fe70b0cc7dcf43b1a9c004f045a3c2fac42f6a4b9f231d4f1e7b55c8bae133ac48389d4e233e245deb958365e9c0283cd8668f0f5a2326a2 WHIRLPOOL b07308d7bb9803a3a882aaf4143d287352aafae69383276d6ee95f7b92a8f65c50c8a5cdc6c242ae87d8faf13ad830fcea9e27364749614219bb221a3d6ac36a
DIST calibre-2.43.0.tar.xz 38556328 SHA256 1156c78ab2a048272bd3e79920c65a4ab326507c668f9c550ef40ee30e470c41 SHA512 76d6560a8c68647888f822cc80c259587498ea4680e9fdef67a406304fb7701a7e35d0f6f5dce2026e32c2461e968b3208cfb6ce8604be6be4c170e4aebb148a WHIRLPOOL 0e7317bca7dbc87983864196d715b4e4f76ca33e0db4ce9ec4ec79d4c8efe223d621bd9d4001c8ace9ec5fb77c8ced01b52d5275a707e253b9ae93e709ffc81f

@ -0,0 +1,249 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE="sqlite,ssl"
inherit eutils fdo-mime bash-completion-r1 multilib toolchain-funcs python-single-r1
DESCRIPTION="Ebook management application"
HOMEPAGE="http://calibre-ebook.com/"
SRC_URI="http://download.calibre-ebook.com/${PV}/${P}.tar.xz"
LICENSE="
GPL-3+
GPL-3
GPL-2+
GPL-2
GPL-1+
LGPL-3+
LGPL-2.1+
LGPL-2.1
BSD
MIT
Old-MIT
Apache-2.0
public-domain
|| ( Artistic GPL-1+ )
CC-BY-3.0
OFL-1.1
PSF-2
unRAR
"
KEYWORDS="~amd64 ~arm ~x86"
SLOT="0"
IUSE="+udisks"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPEND="${PYTHON_DEPS}
>=app-text/podofo-0.8.2:=
>=app-text/poppler-0.26.5[qt5]
>=dev-libs/chmlib-0.40:=
dev-libs/glib:2
>=dev-libs/icu-4.4:=
>=dev-python/apsw-3.7.17[${PYTHON_USEDEP}]
>=dev-python/beautifulsoup-3.0.5:python-2[${PYTHON_USEDEP}]
>=dev-python/cssselect-0.7.1[${PYTHON_USEDEP}]
>=dev-python/cssutils-0.9.9[${PYTHON_USEDEP}]
>=dev-python/dbus-python-1.2.0[${PYTHON_USEDEP}]
>=dev-python/lxml-3.2.1[${PYTHON_USEDEP}]
>=dev-python/mechanize-0.1.11[${PYTHON_USEDEP}]
dev-python/netifaces[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
>=dev-python/pygments-2.0.1[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-1.4.1[${PYTHON_USEDEP}]
>=dev-python/PyQt5-5.3.1[gui,svg,webkit,widgets,network,printsupport,${PYTHON_USEDEP}]
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
media-fonts/liberation-fonts
>=media-gfx/imagemagick-6.5.9[jpeg,png]
media-libs/fontconfig
>=media-libs/freetype-2:=
>=media-libs/libmtp-1.1.5:=
>=media-libs/libwmf-0.2.8
sys-libs/zlib
virtual/libusb:1=
virtual/python-dnspython[${PYTHON_USEDEP}]
x11-libs/libX11
x11-libs/libXext
x11-libs/libXrender
>=x11-misc/xdg-utils-1.0.2-r2
udisks? ( virtual/libudev )"
RDEPEND="${COMMON_DEPEND}
udisks? ( || ( sys-fs/udisks:2 sys-fs/udisks:0 ) )"
DEPEND="${COMMON_DEPEND}
>=dev-python/setuptools-0.6_rc5[${PYTHON_USEDEP}]
>=virtual/podofo-build-0.8.2
virtual/pkgconfig"
src_prepare() {
# Fix outdated version constant.
#sed -e "s#\\(^numeric_version =\\).*#\\1 (${PV//./, })#" \
# -i src/calibre/constants.py || \
# die "sed failed to patch constants.py"
# Avoid sandbox violation in /usr/share/gnome/apps when linux.py
# calls xdg-* (bug #258938).
sed -e "s|'xdg-desktop-menu', 'install'|\\0, '--mode', 'user'|" \
-e "s|check_call(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
-e "s|\\(CurrentDir(tdir)\\), \\\\\$|\\1:|" \
-e "s|, PreserveMIMEDefaults():|:|" \
-e "s|'xdg-icon-resource', 'install'|\\0, '--mode', 'user'|" \
-e "s|cmd\[2\]|cmd[4]|" \
-e "s|cc(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
-e "s|'xdg-mime', 'install'|\\0, '--mode', 'user'|" \
-i src/calibre/linux.py || die "sed failed to patch linux.py"
# Disable unnecessary privilege dropping for bug #287067.
sed -e "s:if os.geteuid() == 0:if False and os.geteuid() == 0:" \
-i setup/install.py || die "sed failed to patch install.py"
sed -e "/^ self\\.check_call(qmc + \\[.*\\.pro'\\])$/a\
\\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ self.check_call(['sed', \
'-e', 's|^CFLAGS .*|\\\\\\\\0 ${CFLAGS}|', \
'-e', 's|^CXXFLAGS .*|\\\\\\\\0 ${CXXFLAGS}|', \
'-e', 's|^LFLAGS .*|\\\\\\\\0 ${LDFLAGS}|', \
'-i', 'Makefile'])" \
-i setup/extensions.py || die "sed failed to patch extensions.py"
# use system beautifulsoup, instead of bundled
rm -f "${S}"/src/calibre/ebooks/BeautifulSoup.py \
|| die "could not remove bundled beautifulsoup"
find "${S}" -type f -name \*.py -exec \
sed -e 's/calibre.ebooks.BeautifulSoup/BeautifulSoup/' -i {} + \
|| die "could not sed bundled beautifulsoup out of the source tree"
# avoid failure of xdg tools to recognize vendor prefix
sed -e "s|xdg-icon-resource install|xdg-icon-resource install --novendor|" \
-e "s|'xdg-mime', 'install'|'xdg-mime', 'install', '--novendor'|" \
-e "s|'xdg-desktop-menu', 'install'|'xdg-desktop-menu', 'install', '--novendor'|" \
-i "${S}"/src/calibre/linux.py || die 'sed failed'
# no_updates: do not annoy user with "new version is availible all the time
# disable_plugins: walking sec-hole, wait for upstream to use GHNS interface
epatch \
"${FILESDIR}/${PN}-2.9.0-no_updates_dialog.patch" \
"${FILESDIR}/${PN}-disable_plugins.patch"
}
src_install() {
# Bypass kbuildsycoca and update-mime-database in order to
# avoid sandbox violations if xdg-mime tries to call them.
cat - > "${T}/kbuildsycoca" <<-EOF
#!${BASH}
echo $0 : $@
exit 0
EOF
cp "${T}"/{kbuildsycoca,update-mime-database} || die
chmod +x "${T}"/{kbuildsycoca,update-mime-database} || die
export QMAKE="${EPREFIX}/usr/$(get_libdir)/qt5/bin/qmake"
# Unset DISPLAY in order to prevent xdg-mime from triggering a sandbox
# violation with kbuildsycoca as in bug #287067, comment #13.
export -n DISPLAY
# Bug #352625 - Some LANGUAGE values can trigger the following ValueError:
# File "/usr/lib/python2.6/locale.py", line 486, in getdefaultlocale
# return _parse_localename(localename)
# File "/usr/lib/python2.6/locale.py", line 418, in _parse_localename
# raise ValueError, 'unknown locale: %s' % localename
#ValueError: unknown locale: 46
export -n LANGUAGE
# Bug #295672 - Avoid sandbox violation in ~/.config by forcing
# variables to point to our fake temporary $HOME.
export HOME="${T}/fake_homedir"
export XDG_CONFIG_HOME="${HOME}/.config"
export XDG_DATA_HOME="${HOME}/.local/share"
export CALIBRE_CONFIG_DIRECTORY="${XDG_CONFIG_HOME}/calibre"
mkdir -p "${XDG_DATA_HOME}" "${CALIBRE_CONFIG_DIRECTORY}" || die
tc-export CC CXX
# Bug #334243 - respect LDFLAGS when building extensions
export OVERRIDE_CFLAGS="$CFLAGS" OVERRIDE_LDFLAGS="$LDFLAGS"
local libdir=$(get_libdir)
[[ -n $libdir ]] || die "get_libdir returned an empty string"
# Bug #472690 - Avoid sandbox violation for /dev/dri/card0.
local x
for x in /dev/dri/card[0-9] ; do
[[ -e ${x} ]] && addpredict ${x}
done
#dodir "/usr/$(get_libdir)/python2.7/site-packages" # for init_calibre.py
#dodir $(python_get_sitedir)
PATH=${T}:${PATH} PYTHONPATH=${S}/src${PYTHONPATH:+:}${PYTHONPATH} \
"${PYTHON}" setup.py install \
--root="${D}" \
--prefix="${EPREFIX}/usr" \
--libdir="${EPREFIX}/usr/${libdir}" \
--staging-root="${ED}usr" \
--staging-libdir="${ED}usr/${libdir}" || die
grep -rlZ "${ED}" "${ED}" | xargs -0 sed -e "s:${D}:/:g" -i ||
die "failed to fix harcoded \$D in paths"
# The menu entries end up here due to '--mode user' being added to
# xdg-* options in src_prepare.
dodir /usr/share/mime/packages
chmod -fR a+rX,u+w,g-w,o-w "${HOME}"/.local
mv "${HOME}"/.local/share/mime/packages/* "${ED}"usr/share/mime/packages/ ||
die "failed to register mime types"
dodir /usr/share/icons
mv "${HOME}"/.local/share/icons/* "${ED}"usr/share/icons/ ||
die "failed to install icon files"
domenu "${HOME}"/.local/share/applications/*.desktop ||
die "failed to install .desktop menu files"
find "${ED}"usr/share -type d -empty -delete
cd "${ED}"/usr/share/calibre/fonts/liberation || die
local x
for x in * ; do
[[ -f ${EPREFIX}usr/share/fonts/liberation-fonts/${x} ]] || continue
ln -sf "../../../fonts/liberation-fonts/${x}" "${x}" || die
done
einfo "Converting python shebangs"
python_fix_shebang "${ED}"
einfo "Compiling python modules"
python_optimize "${ED}"usr/lib/calibre
newinitd "${FILESDIR}"/calibre-server.init calibre-server
newconfd "${FILESDIR}"/calibre-server.conf calibre-server
bashcomp_alias calibre \
lrfviewer \
calibre-debug \
ebook-meta \
calibre-server \
ebook-viewer \
ebook-polish \
fetch-ebook-metadata \
lrf2lrs \
ebook-convert \
ebook-edit \
calibre-smtp \
ebook-device
}
pkg_postinst() {
fdo-mime_desktop_database_update
fdo-mime_mime_database_update
}
pkg_postrm() {
fdo-mime_desktop_database_update
fdo-mime_mime_database_update
}

@ -14,7 +14,7 @@ SRC_URI="http://pkg-isocodes.alioth.debian.org/downloads/${P}.tar.xz"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE=""
RDEPEND=""

@ -1,4 +1,3 @@
DIST kchmviewer-6.0.tar.gz 310642 SHA256 81c856434a86977039c36cb10f2427cc8cb1ea29a778f24fff2285d49c717979 SHA512 029335e4acea711f31c7d17751292c6b755504b97b73864b5d25a7a8a2853c0499658056bad9f9c0b6324f61c024feb5a943dc670fdccb37fcdee1346d7334d9 WHIRLPOOL 2b368654d50d0e553d116ca52f3b1ebe3d709a6b52933d54a54d2360c51356628d58c3cc789e32da54a5897b1cbee185380dbcbe0b6824146ec1ad39dc5c9280
DIST kchmviewer-6.1.tar.gz 346587 SHA256 f673c3aaca735d799d14b9f6f1b302e9bb77d5c0a0b601b4b5e0beed1c99fe78 SHA512 aabcf98510a5a0cd38f3937e14c86e15b2514cf118e7d17e96a3a4779bb7c0985248f352844a021a66d482cfecdc3c405c816f71a7bec02d1765f8e4d7510126 WHIRLPOOL 1585726cdf4295a49c16733ee9a93d97d6087977dd8e151681bb73d19d34052c9a9423e3488e4152b7736ce8e9bf3cf02be26554ea6fffe2ccaaef9297f593a7
DIST kchmviewer-7.1.tar.gz 340934 SHA256 a410d0a343d8a871cc860e2983079981806eb70cbf0c970fa1bcf5689821144f SHA512 6e98441358eab74d80adee437b1ad24dbf3e5b5a6ae4c5d7744537a169a6a64303b8e2b4bf1e636c0f6d955bdd1a59b7f1db2d45fc6dfecb6bb3a31088abce61 WHIRLPOOL 6e5bf2639057aa5f55ce25e9d457ca267b2ab015b5553e9edbc7bbe2997bc1d6ebcdadc656b06b15ada115eb196104a3770fdd68234b47bb3f352d3d6a9b23b3
DIST kchmviewer-7.3.tar.gz 344483 SHA256 7cb805c9a836b7622bbea1d5df8873fb711979285abb21bccf095f25cf3f6007 SHA512 b4861e157f850413051df70dbdf90c7bcc9eebd58a0e6a4990a0eab232ec02ace44c4fe4367f74d23bbc0fab32e61e149b474db43efb45ef08f42af97e6af093 WHIRLPOOL 3705f565f1b5333471b75b5e48e9b10cb795b195b4d2cc44b7bd9905743082264993ed25c7fc4618dc8e5bc13f41abf1b3a8a4783f54adf98b6512f411735ef9
DIST kchmviewer-7.4.tar.gz 341566 SHA256 5f34c7915523e03651186007d41d2b71cff8d6f8061fc35aadfb751cd20dfae3 SHA512 13d28d4e0352f21ceb39198c04ade023669eb84b6ad0cff99217cbb8972ba990dc67f8b4dab118a2ea8032d83ba2751bf778de2cb8196f66859ae94df3763564 WHIRLPOOL 5be4eb895a881a752602db4f19748f0db2a2cf99e0c8e07e46b534f05feb5158d423e7207a2a5b3b268322ea0d0b6c6a31681ce8081db911134b0f71193b79a2

@ -1,96 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
KDE_REQUIRED="optional"
KDE_LINGUAS="cs fr hu it nl pt_BR ru sv tr uk zh_CN zh_TW"
inherit eutils fdo-mime kde4-base qmake-utils
DESCRIPTION="A feature rich chm file viewer, based on Qt"
HOMEPAGE="http://www.kchmviewer.net/"
SRC_URI="mirror://sourceforge/kchmviewer/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="debug kde"
RDEPEND="
dev-libs/chmlib
dev-qt/qtcore:4
dev-qt/qtdbus:4
dev-qt/qtgui:4
dev-qt/qtwebkit:4
kde? (
$(add_kdebase_dep kdelibs)
!kde-apps/okular[chm]
)
"
DEPEND="${RDEPEND}"
pkg_setup() {
use kde && kde4-base_pkg_setup
}
src_prepare() {
# Don't try to build a file that no longer exists
sed -e "/keyeventfilter.cpp/d" -i src/CMakeLists.txt || die
# Remove deprecated key
sed -e "/Encoding=UTF-8/d" -i packages/kchmviewer.desktop || die
local lang
for lang in ${KDE_LINGUAS} ; do
if ! use linguas_${lang} ; then
rm po/${PN}_${lang}.po
fi
done
}
src_configure() {
if use kde; then
kde4-base_src_configure
else
eqmake4
fi
}
src_compile() {
if use kde; then
kde4-base_src_compile
else
default
fi
}
src_install() {
dodoc DBUS-bindings FAQ
doicon packages/kchmviewer.png
if use kde; then
kde4-base_src_install
else
dobin bin/kchmviewer
domenu packages/kchmviewer.desktop
dodoc ChangeLog README
fi
}
pkg_postinst() {
if use kde; then
kde4-base_pkg_postinst
else
fdo-mime_desktop_database_update
fi
}
pkg_postrm() {
if use kde; then
kde4-base_pkg_postrm
else
fdo-mime_desktop_database_update
fi
}

@ -1,94 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
KDE_REQUIRED="optional"
KDE_LINGUAS="cs fr hu it nl pt_BR ru sv tr uk zh_CN zh_TW"
inherit eutils fdo-mime kde4-base qmake-utils
DESCRIPTION="A feature rich chm file viewer, based on Qt"
HOMEPAGE="http://www.kchmviewer.net/"
SRC_URI="mirror://sourceforge/kchmviewer/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="debug kde"
RDEPEND="
dev-libs/chmlib
dev-libs/libzip
dev-qt/qtcore:4
dev-qt/qtdbus:4
dev-qt/qtgui:4
dev-qt/qtwebkit:4
kde? (
$(add_kdebase_dep kdelibs)
!kde-apps/okular[chm]
)
"
DEPEND="${RDEPEND}"
pkg_setup() {
use kde && kde4-base_pkg_setup
}
src_prepare() {
local lang
for lang in ${KDE_LINGUAS} ; do
if ! use linguas_${lang} ; then
rm po/${PN}_${lang}.po
fi
done
# fix parallel build wrt bug #527192
echo "src.depends = lib" >> ${PN}.pro || die
}
src_configure() {
if use kde; then
kde4-base_src_configure
else
eqmake4
fi
}
src_compile() {
if use kde; then
kde4-base_src_compile
else
default
fi
}
src_install() {
dodoc DBUS-bindings FAQ
doicon packages/kchmviewer.png
if use kde; then
kde4-base_src_install
else
dobin bin/kchmviewer
domenu packages/kchmviewer.desktop
dodoc ChangeLog README
fi
}
pkg_postinst() {
if use kde; then
kde4-base_pkg_postinst
else
fdo-mime_desktop_database_update
fi
}
pkg_postrm() {
if use kde; then
kde4-base_pkg_postrm
else
fdo-mime_desktop_database_update
fi
}

@ -0,0 +1,69 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils fdo-mime qmake-utils
DESCRIPTION="A feature rich chm file viewer, based on Qt"
HOMEPAGE="http://www.kchmviewer.net/"
SRC_URI="mirror://sourceforge/kchmviewer/${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="debug qt5"
RDEPEND="
dev-libs/chmlib
dev-libs/libzip
qt5? (
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtprintsupport:5
dev-qt/qtwebkit:5
dev-qt/qtwidgets:5
dev-qt/qtxml:5
)
!qt5? (
dev-qt/qtcore:4
dev-qt/qtdbus:4
dev-qt/qtgui:4
dev-qt/qtwebkit:4
)
"
DEPEND="${RDEPEND}"
src_prepare() {
# fix parallel build wrt bug #527192
echo "src.depends = lib" >> ${PN}.pro || die
}
src_configure() {
if use qt5; then
eqmake5
else
eqmake4
fi
}
src_install() {
dodoc ChangeLog DBUS-bindings FAQ README
doicon packages/kchmviewer.png
dobin bin/kchmviewer
domenu packages/kchmviewer.desktop
}
pkg_postinst() {
fdo-mime_desktop_database_update
}
pkg_postrm() {
fdo-mime_desktop_database_update
}

@ -1,8 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>vim</herd>
<use>
<flag name="clang">Enable semantic support for C-family languages using <pkg>sys-devel/clang</pkg></flag>
</use>
<herd>vim</herd>
<use>
<flag name="clang">Enable semantic support for C-family languages using <pkg>sys-devel/clang</pkg></flag>
</use>
</pkgmetadata>

@ -33,7 +33,7 @@ COMMON_DEPEND="
RDEPEND="
${COMMON_DEPEND}
dev-python/bottle[${PYTHON_USEDEP}]
dev-python/futures[${PYTHON_USEDEP}]
virtual/python-futures[${PYTHON_USEDEP}]
dev-python/jedi[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
dev-python/sh[${PYTHON_USEDEP}]

@ -1,2 +1 @@
DIST jarjar-src-0.9.zip 188269 SHA256 da90f1cb07dbd07b8141a4541acc701a0d33abb2808fe2410dd6782c98cb9b2a SHA512 ddfdad65785c9ecd98021cd1eb6226bce182e77421be2608a9e1776164e0e84ec957a453cb54e19fc0cc9cd2fcacb3867f399e1b40bd9696607885f00ab3c917 WHIRLPOOL 1e526ffc0dd4bf3e20e4751d171598028e78c6087bb6a02f070771a855495cbc8b54669c6802a2acb6115204e45e6cf7df1183bc259d978d67f71949c2d96c59
DIST jarjar-src-1.4.zip 339014 SHA256 54368bb0ec484429243dc5620ce49d428f007c7eb8f3400367cdb2142dcc11ed SHA512 62af4f07c3fe2b887da959b8251a94fbd1c142e56b3332ad81865eef9ba32ded47883fc37d943c0081a4496ab71ef044022d13f21ccdb8db690638c26fc52c31 WHIRLPOOL c5fb411211f303976d3c10c6d3063b50defb7c5e8368d9f4f5faeef17eced530e59fa7d67153d04a9be98f60a28f276800f9e672a044415d69a2e4905222e03f

@ -1,64 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
JAVA_PKG_IUSE="doc source test"
inherit eutils java-pkg-2 java-ant-2
DESCRIPTION="Tool for repackaging third-party jars"
SRC_URI="mirror://sourceforge/jarjar/${PN}-src-${PV}.zip"
HOMEPAGE="http://jarjar.sourceforge.net"
LICENSE="GPL-2"
SLOT="1"
KEYWORDS="amd64 ~arm ppc ppc64 x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
IUSE=""
COMMON_DEP="
=dev-java/asm-2.0*
=dev-java/gnu-regexp-1*
>=dev-java/ant-core-1.7.0
dev-java/java-getopt"
RDEPEND=">=virtual/jre-1.4
${COMMON_DEP}"
DEPEND=">=virtual/jdk-1.4
test? ( dev-java/ant-junit )
app-arch/unzip
${COMMON_DEP}"
src_unpack() {
unpack ${A}
cd "${S}"
rm -v src/main/com/tonicsystems/jarjar/JarJarMojo.java || die
rm -vr src/main/gnu || die
epatch "${FILESDIR}/0.9-system-jars.patch"
# bug #191378
epatch "${FILESDIR}/0.9-bootclasspath.patch"
cd "${S}/lib"
rm -v *.jar || die
java-pkg_jar-from asm-2
java-pkg_jar-from gnu-regexp-1
java-pkg_jar-from ant-core ant.jar
java-pkg_jar-from java-getopt-1
}
ANT_TASKS="none"
EANT_BUILD_TARGET="jar-nojarjar"
src_test() {
# regenerates this
cp -i dist/${P}.jar "${T}" || die
cd lib || die
java-pkg_jar-from junit
cd ..
ANT_TASKS="ant-junit" eant test
cp "${T}/${P}.jar" dist || die
}
src_install() {
java-pkg_newjar dist/${P}.jar ${PN}.jar
java-pkg_register-ant-task
use doc && java-pkg_dojavadoc dist/javadoc
use source && java-pkg_dosrc src/main/*
}

@ -12,58 +12,50 @@ SRC_URI="https://jarjar.googlecode.com/files/${PN}-src-${PV}.zip"
HOMEPAGE="http://jarjar.sourceforge.net"
LICENSE="GPL-2"
SLOT="1"
KEYWORDS="amd64 x86 ppc ppc64 ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
KEYWORDS="amd64 ~arm x86 ppc ppc64 ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
IUSE=""
RESTRICT="test"
CDEPEND="
dev-java/asm:4
dev-java/gnu-regexp:1
dev-java/java-getopt:1
dev-java/ant-core:0"
RDEPEND=">=virtual/jre-1.6
${CDEPEND}"
DEPEND=">=virtual/jdk-1.6
app-arch/unzip
${CDEPEND}"
RESTRICT='test'
RDEPEND="
${CDEPEND}
>=virtual/jre-1.6"
# FIXME: tests fail to pass.
#src_test() {
# # regenerates this
# cp -i dist/${P}.jar "${T}" || die
# cd lib || die
# java-pkg_jar-from junit
# cd ..
# ANT_TASKS="ant-junit" eant test
# cp "${T}/${P}.jar" dist || die
#}
DEPEND="
${CDEPEND}
>=virtual/jdk-1.6
app-arch/unzip"
src_unpack() {
unpack ${A}
cd "${S}" || die
rm -v src/main/com/tonicsystems/jarjar/JarJarMojo.java || die
JAVA_ANT_REWRITE_CLASSPATH="yes"
EANT_BUILD_TARGET="jar-nojarjar"
EANT_GENTOO_CLASSPATH="
asm-4
gnu-regexp-1
java-getopt-1
ant-core
"
cd "${S}/lib" || die
rm -v *.jar || die
ANT_TASKS="none"
java-pkg_jar-from asm-4
java-pkg_jar-from gnu-regexp-1
java-pkg_jar-from ant-core ant.jar
java-pkg_jar-from java-getopt-1
}
PATCHES=(
"${FILESDIR}/0.9-system-jars.patch"
"${FILESDIR}/0.9-bootclasspath.patch"
)
src_prepare() {
epatch "${FILESDIR}/0.9-system-jars.patch"
JAVA_RM_FILES=(
src/main/com/tonicsystems/jarjar/JarJarMojo.java
)
# bug #191378
epatch "${FILESDIR}/0.9-bootclasspath.patch"
java_prepare() {
java-pkg_clean
epatch "${PATCHES[@]}"
}
ANT_TASKS="none"
EANT_BUILD_TARGET="jar-nojarjar"
src_install() {
java-pkg_newjar dist/${P}.jar ${PN}.jar
java-pkg_register-ant-task

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/Gjs"
LICENSE="MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )"
SLOT="0"
IUSE="+cairo examples gtk test"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
RDEPEND="
>=dev-libs/glib-2.36:2

@ -32,7 +32,7 @@ REQUIRED_USE="
test? ( ${PYTHON_REQUIRED_USE} )
"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux"
RDEPEND="
!<dev-util/gdbus-codegen-${PV}

@ -13,7 +13,7 @@ HOMEPAGE="https://git.gnome.org/browse/libcroco/"
LICENSE="LGPL-2"
SLOT="0.6"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND="

@ -16,7 +16,7 @@ SLOT="0/22" # subslot = libgdata soname version
IUSE="gnome +introspection static-libs test vala"
REQUIRED_IUSE="vala? ( introspection )"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
# gtk+ is needed for gdk
# configure checks for gtk:3, but only uses it for demos which are not installed

@ -14,7 +14,7 @@ SRC_URI="http://people.freedesktop.org/~hughsient/releases/${P}.tar.xz"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="+introspection static-libs vala"
REQUIRED_USE="vala? ( introspection )"

@ -88,6 +88,6 @@ src_install() {
doenvd "${ENVD}"
dodoc doc/release-notes.txt
dohtml "${DISTDIR}"/ccl.html
use doc && dohtml "${DISTDIR}"/ccl.html
use doc && dohtml -r examples
}

@ -21,7 +21,8 @@ CDEPEND="
<dev-python/botocore-1.2.0[${PYTHON_USEDEP}]
>=dev-python/jmespath-0.6.2[${PYTHON_USEDEP}]
<dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '=dev-python/futures-2.2.0[${PYTHON_USEDEP}]' 'python2_7')
=dev-python/futures-2.2.0
virtual/python-futures[${PYTHON_USEDEP}]
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]

@ -21,7 +21,8 @@ CDEPEND="
<dev-python/botocore-1.3.0[${PYTHON_USEDEP}]
>=dev-python/jmespath-0.6.2[${PYTHON_USEDEP}]
<dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '=dev-python/futures-2.2.0[${PYTHON_USEDEP}]' 'python2_7')
=dev-python/futures-2.2.0
virtual/python-futures[${PYTHON_USEDEP}]
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]

@ -21,7 +21,8 @@ CDEPEND="
<dev-python/botocore-1.4.0[${PYTHON_USEDEP}]
>=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
<dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '=dev-python/futures-2.2.0[${PYTHON_USEDEP}]' 'python2_7')
=dev-python/futures-2.2.0
virtual/python-futures[${PYTHON_USEDEP}]
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]

@ -17,7 +17,8 @@ KEYWORDS="~amd64"
IUSE="+cython doc +libev +murmur test"
RDEPEND="
$(python_gen_cond_dep '=dev-python/futures-2.2.0[${PYTHON_USEDEP}]' python2_7)
~dev-python/futures-2.2.0
virtual/python-futures[${PYTHON_USEDEP}]
>=dev-python/six-1.6[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}

@ -1,4 +1,4 @@
<?xml version='1.0' encoding='UTF-8'?>
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>python</herd>

@ -3,3 +3,4 @@ DIST elasticsearch-py-1.4.0.tar.gz 74498 SHA256 7959787b47c3523e9c9aeffec441091f
DIST elasticsearch-py-1.5.0.tar.gz 77037 SHA256 275eaeb2f64c8eba8691d953ac0d8a16e4f759d9cad797323b7cbd0ef87a69ce SHA512 10d473a221be3deb086dca0c5463324647e38f8be4f4bbea934079b002f1414d30c98976c56fd2fc55c97d24ed2338137a9983194e8bf82c95cc70321ee5ee86 WHIRLPOOL 3aa83b9bfd5363ea39baf58cc7bdaaa9606085e471e7e683518cf707642fc9a514264c51cf3e296db071a2a5333f58b8e1335bc4473477df9d085bea63c584ba
DIST elasticsearch-py-1.6.0.tar.gz 77205 SHA256 59dd03284ab7314e5eb50d13ba92df65efb93778ca318906baad5776b152aff7 SHA512 09cdec0b3f50707b9a5e11534fe28507db669e4da44bbda1952d07b6ac8e3aea0c0c05297db26d9425c2247724681fa4e5485e9525571ff64f070e700a9a9b07 WHIRLPOOL 04f43a848cc811d1bee22d2bf7931a4348fb4a455172e381bedad5179d72313320009cb8b2dfdadb252aacc13cc1a4ef15b311488401d6b2bc23e242272bb74b
DIST elasticsearch-py-1.8.0.tar.gz 73848 SHA256 9394a1eef66223f8292f005bbe0c2309df10f76e8065823966e045e5e0a76cb3 SHA512 c4ca91db0fd1094dd02b1a9e7ca94f11c4c528373a71f180c5e256efdf53515802fc854866dcb7077e2f5c6300ee88cb80fd6c766e22f1f76357a0b970e1444d WHIRLPOOL b3cfd3011e97cfe97690a784e896dc794ece747ed1b82e1a3b1731b9dda25f38011ef4e0dd8271a514f31a85fb35349877baa2ce66908f908c5c7470412a23ef
DIST elasticsearch-py-1.9.0.tar.gz 74021 SHA256 bf00a6c7ecd965bf585199335d2619267ae0caabc356ee011dfc37e373edc023 SHA512 1a523867fd40534332a8b46e84ca3009dbaf86c9bf51e1487d76b90420e0c5371271f7956ebd2a416288bab57fa539377471386e23bcc03b1e7cdd4ab90a6027 WHIRLPOOL 9c5f4ffcdc97ce695845d8597d39aa41e71495de78f49fa2003d3665f683a04e32d5a5dabd4670ab9928a1ebc082564b4169b7e19f5c803146772b50598ae091

@ -0,0 +1,98 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
ES_VERSION="1.7.3"
inherit distutils-r1
DESCRIPTION="official Python low-level client for Elasticsearch"
HOMEPAGE="http://elasticsearch-py.rtfd.org/"
SRC_URI="https://github.com/elasticsearch/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
test? ( https://download.elasticsearch.org/elasticsearch/elasticsearch/elasticsearch-${ES_VERSION}.tar.gz )"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~mips ~x86"
IUSE="examples doc test"
RDEPEND=">=dev-python/urllib3-1.8[${PYTHON_USEDEP}]
<dev-python/urllib3-2.0[${PYTHON_USEDEP}]"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.3.1-r1[${PYTHON_USEDEP}]
test? ( ${RDEPEND}
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
<dev-python/requests-3.0.0[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pretty-yaml[${PYTHON_USEDEP}]
dev-python/nosexcover[${PYTHON_USEDEP}]
|| ( virtual/jre:1.8 virtual/jre:1.7 ) )"
python_prepare_all() {
# rename manpage to elasticsearch-py
sed \
-e "s@('index', 'elasticsearch'@('index', 'elasticsearch-py'@g" \
-i docs/conf.py || die
distutils-r1_python_prepare_all
}
python_test() {
ES="${WORKDIR}/elasticsearch-${ES_VERSION}"
ES_PORT="25124"
ES_LOG="${ES}/logs/elasticsearch.log"
PID="${ES}/elasticsearch.pid"
# run Elasticsearch instance on custom port
sed -i "s/#http.port: 9200/http.port: ${ES_PORT}/g; \
s/#cluster.name: elasticsearch/cluster.name: gentoo-es-py-test/g" \
${ES}/config/elasticsearch.yml
# Elasticsearch 1.6+ needs to set path.repo
echo "path.repo: /" >> ${ES}/config/elasticsearch.yml
# start local instance of elasticsearch
${ES}/bin/elasticsearch -d -p ${PID}
for i in `seq 10`; do
grep -q "started" ${ES_LOG} 2> /dev/null
if [ $? -eq 0 ]; then
einfo "Elasticsearch started"
eend 0
break
elif grep -q 'BindException\[Address already in use\]' "${ES_LOG}" 2>/dev/null; then
eend 1
eerror "Elasticsearch already running"
die "Cannot start Elasticsearch for tests"
else
einfo "Waiting for Elasticsearch"
eend 1
sleep 2
continue
fi
done
export TEST_ES_SERVER="localhost:${ES_PORT}"
esetup.py test
pkill -F ${PID}
}
python_compile_all() {
cd docs || die
emake man $(usex doc html "")
}
python_install_all() {
use doc && HTML_DOCS=( docs/_build/html/. )
use examples && local EXAMPLES=( example/. )
doman docs/_build/man/*
distutils-r1_python_install_all
}

@ -26,5 +26,5 @@ RDEPEND="
${CDEPEND}
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
>=dev-python/monotonic-0.3[${PYTHON_USEDEP}]
>=dev-python/futures-3.0.0[$(python_gen_usedep 'python2_7')]
virtual/python-futures[${PYTHON_USEDEP}]
>=dev-python/contextlib2-0.4.0[${PYTHON_USEDEP}]"

@ -6,7 +6,7 @@ EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} )
inherit distutils-r1
DESCRIPTION="Python client to connect to Neovim thru its msgpack-rpc API"
DESCRIPTION="Python client for Neovim"
HOMEPAGE="https://github.com/neovim/python-client"
SRC_URI="https://dev.gentoo.org/~yngwin/distfiles/${P}.tar.xz"
@ -16,11 +16,14 @@ KEYWORDS="~amd64 ~x86"
IUSE="gtk"
REQUIRED_USE="gtk? ( python_targets_python2_7 )" # experimental gui only works with py2
DEPEND=">=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/greenlet[${PYTHON_USEDEP}]' 'python*')
DEPEND="
>=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
virtual/python-greenlet[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/trollius[${PYTHON_USEDEP}]' python{2_7,3_3})
gtk? ( >=dev-python/click-3.0[${PYTHON_USEDEP}]
gtk? (
>=dev-python/click-3.0[${PYTHON_USEDEP}]
dev-python/pygobject:2
dev-python/pygtk:2
x11-libs/gtk+:2[introspection] )"
x11-libs/gtk+:2[introspection]
)"
RDEPEND="${DEPEND}"

@ -16,11 +16,14 @@ KEYWORDS="~amd64 ~x86"
IUSE="gtk"
REQUIRED_USE="gtk? ( python_targets_python2_7 )" # experimental gui only works with py2
DEPEND=">=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/greenlet[${PYTHON_USEDEP}]' 'python*')
DEPEND="
>=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
virtual/python-greenlet[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/trollius[${PYTHON_USEDEP}]' python{2_7,3_3})
gtk? ( >=dev-python/click-3.0[${PYTHON_USEDEP}]
gtk? (
>=dev-python/click-3.0[${PYTHON_USEDEP}]
dev-python/pygobject:2
dev-python/pygtk:2
x11-libs/gtk+:2[introspection] )"
x11-libs/gtk+:2[introspection]
)"
RDEPEND="${DEPEND}"

@ -1,2 +1,3 @@
DIST rope-0.10.2.tar.gz 221523 SHA256 fffca108c0d6a711121ce11fed286f4ddc5791c7a6c3f079221a9303d1ddb465 SHA512 9d3c3f2197b8eff87301d90dbf58872070e8c352704f50c942c270a05ba08504aeb2bb8f6d00902954abaa4d721d2a246c720f94547d8d3517cb84c0b31d9bc2 WHIRLPOOL 196587c655e6bffb26bc6498e57a833ddfc5c3ec0ccaa0b0baff9618f0e9fc5d18612fdada1a91e3ca8813b2c3c254691d462f2ff622af371a78b22b2024016f
DIST rope-0.10.3.tar.gz 226123 SHA256 eb45bea0abcf31a1a12ff087b990060e64244b835582ebc7642e6f7ea1fd65a2 SHA512 1d868aeebd086c3fc199316a71e61a8c46c76d85176557842051bb8f51d090f316df6bb84f766db5a46dc164d3e471eb90465805a102e46acb34e39b2b0ce8b4 WHIRLPOOL 16cd8b80f7f3fe729d1d3b4b5b98fcd5b6f16c818ddd67a9d460fe4947e768febf1425e8d20bf0e47c9d49a58b4ba1acac0e6640d61fc187f84fc843128c591d
DIST rope-0.9.4.tar.gz 221516 SHA256 2dc0342604851d8fbdafa198172eab5da7ed422759016669056181e21c54a6ba SHA512 462ce4fec7decdca67400e01fc08cb924019e71011fa0c50c529ff0ba377b277685f34a78796b5c30c20ac063aaba1b0b61bd9ac5b05625399e9d71ac625e534 WHIRLPOOL 7fcdfcd0d82e869b8008cedb7fc0ecbb8f7da302994129273e342346becde8cbd5915f9e04d2a9de57eb2b42b4487329109c159277f8255e386fc2765213a94b

@ -0,0 +1,35 @@
# Fix syntax errors in doc files
diff --git a/docs/contributing.rst b/docs/contributing.rst
index c6cb8a8..9efc3cc 100644
--- a/docs/contributing.rst
+++ b/docs/contributing.rst
@@ -45,7 +45,7 @@ about them, don't hesitate to discuss it in the mailing list.
Getting Ready For Python 3.0
----------------------------
-Checkout http://bitbucket.org/agr/rope_py3k Mercurial_ repository.
+Checkout http://bitbucket.org/agr/rope_py3k Mercurial repository.
Contributions are welcome.
Write Plugins For Other IDEs
@@ -79,7 +79,7 @@ Source Repository
=================
Rope uses GitHub_. The repository exists at
-`https://github.com/python-rope/rope`_.
+`https://github.com/python-rope/rope`.
Submitting patches
diff --git a/docs/library.rst b/docs/library.rst
index 390b9c8..ee918bc 100644
--- a/docs/library.rst
+++ b/docs/library.rst
@@ -72,7 +72,7 @@ In rope, files and folders in a project are accessed through
``Change``\s (we'll talk about them later) use resources.
There are two options for creating a ``Resource`` for a path in a project.
-The first approach uses the `Project.get_resource()`_ method.
+The first approach uses the `Project.get_resource()` method.
.. code-block:: python

@ -0,0 +1,46 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 )
inherit distutils-r1
DESCRIPTION="Python refactoring library"
HOMEPAGE="https://github.com/python-rope/rope"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc"
# Dependency for docbuild documentation which is not noted in
# setup.py, using standard docutils builds docs successfully.
DEPEND="doc? ( dev-python/docutils[${PYTHON_USEDEP}] )"
PATCHES=( "${FILESDIR}/${P}-doc-syntax-errors.patch" )
python_test() {
PYTHONPATH="${BUILD_DIR}/lib:." ${EPYTHON} ropetest/__init__.py
}
python_compile_all() {
local i;
if use doc; then
pushd docs > /dev/null
mkdir build || die
for i in ./*.rst
do
rst2html.py $i > ./build/${i/rst/html} || die
done
popd > /dev/null
fi
}
python_install_all() {
use doc && local HTML_DOCS=( docs/build/. )
distutils-r1_python_install_all
}

@ -15,7 +15,7 @@ LICENSE="LGPL-2+"
SLOT="0"
IUSE=""
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
>=dev-libs/glib-2.43.4:2

@ -15,7 +15,7 @@ HOMEPAGE="http://meldmerge.org/"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND="${PYTHON_DEPS}

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Nemiver"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="memoryview"
RDEPEND="

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Mahjongg"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
KEYWORDS="amd64 ~arm ~x86"
IUSE=""
RDEPEND="

@ -12,7 +12,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Tali"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
KEYWORDS="amd64 ~arm ~x86"
IUSE=""
RDEPEND="

@ -19,7 +19,7 @@ HOMEPAGE="http://sourceforge.net/projects/vbam/"
LICENSE="GPL-2+"
SLOT="0"
IUSE="cairo cpu_flags_x86_mmx ffmpeg gtk link lirc nls openal +sdl wxwidgets"
IUSE="cairo ffmpeg gtk link lirc nls openal +sdl wxwidgets"
REQUIRED_USE="|| ( sdl gtk wxwidgets )"
RDEPEND=">=media-libs/libpng-1.4:0=
@ -72,7 +72,6 @@ src_configure() {
$(cmake-utils_use_enable wxwidgets WX)
$(cmake-utils_use_enable x86 ASM_CORE)
$(cmake-utils_use_enable x86 ASM_SCALERS)
$(cmake-utils_use_enable cpu_flags_x86_mmx MMX)
-DCMAKE_SKIP_RPATH=ON
-DDATA_INSTALL_DIR=share/games/${PN}
)

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Klotski"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
KEYWORDS="amd64 ~arm ~x86"
IUSE=""
RDEPEND="

@ -25,7 +25,7 @@ SLOT="0"
IUSE="accessibility audit branding fprint +introspection ipv6 plymouth selinux smartcard +systemd tcpd test wayland xinerama"
REQUIRED_USE="wayland? ( systemd )"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86"
# NOTE: x11-base/xorg-server dep is for X_SERVER_PATH etc, bug #295686
# nspr used by smartcard extension

@ -16,7 +16,7 @@ LICENSE="GPL-2+ LGPL-2+"
SLOT="0"
IUSE="+bluetooth +i18n +networkmanager -openrc-force"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
# libXfixes-5.0 needed for pointer barriers
# FIXME:

@ -14,7 +14,7 @@ HOMEPAGE="https://www.gnome.org/"
LICENSE="GPL-2 LGPL-2"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="acl gnutls ipv6 kerberos libressl samba ssl zeroconf"
RDEPEND="

@ -21,7 +21,7 @@ REQUIRED_USE="
udisks? ( udev )
systemd? ( udisks )
"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
# Can use libgphoto-2.5.0 as well. Automagic detection.
RDEPEND="

@ -14,7 +14,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/LibRsvg"
LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="+introspection vala tools"
REQUIRED_USE="

@ -14,7 +14,7 @@ SRC_URI="http://rofi.roger-ferrer.org/eiciel/download/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="xattr"
RDEPEND="

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Clocks"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE=""
RDEPEND="

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Documents"
LICENSE="GPL-2+"
SLOT="0"
IUSE=""
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
# Need gdk-pixbuf-2.25 for gdk_pixbuf_get_pixels_with_length
COMMON_DEPEND="

@ -11,7 +11,7 @@ SRC_URI="http://94.247.144.115/repo/topicons/snapshot/topicons-${PV}.tar.xz -> $
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE=""
RDEPEND="

@ -13,7 +13,7 @@ SRC_URI="http://pawsa.fedorapeople.org/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86"
IUSE="crypt gnome gtkhtml gnome-keyring +gtkspell kerberos ldap libnotify libressl rubrica sqlite ssl webkit xface"
REQUIRED_USE="gtkhtml? ( !webkit )"

@ -12,7 +12,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/CantarellFonts"
LICENSE="OFL-1.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE=""
RDEPEND="media-libs/fontconfig"

@ -14,7 +14,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/EyeOfGnome/Plugins"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="+exif +flickr map +picasa +python"
REQUIRED_USE="

@ -12,7 +12,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Photos"
LICENSE="GPL-2+ LGPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="test"
RDEPEND="

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/gthumb"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
IUSE="cdr exif gnome-keyring gstreamer http jpeg json lcms raw slideshow svg tiff test webkit webp"
COMMON_DEPEND="

@ -14,7 +14,7 @@ DESCRIPTION="GStreamer integration library for Clutter"
LICENSE="LGPL-2.1+"
SLOT="3.0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="examples +introspection"
# >=cogl-1.18 provides cogl-2.0-experimental

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/GSound"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="+introspection"
# vala setup required for vapigen check

@ -13,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/libchamplain"
SLOT="0.12"
LICENSE="LGPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="debug +gtk +introspection vala"
REQUIRED_USE="vala? ( introspection )"

@ -1,2 +1 @@
DIST kradio4-4.0.7.tar.bz2 1645669 SHA256 53d1a706f08cfd5a405142cf34cf9c0b03397b03961936651dfae7206003959c SHA512 61acb55cfbf3394b4e40381507cc1476360cb8d07b23dc5983ad807e9d6f8e2e850787b06bf0884010ed5b7f373ee3d08fb2fb59201937002d95280a37a169bc WHIRLPOOL b0c9d66553aa06bbccd7168a7cbc05c75ae2cc8c8528fa8041a52e6fef3d3427fcf641fe1bf20fa7e357b1676361efc2e98fdfa162275d56e7385e6567637683
DIST kradio4-4.0.8.tar.bz2 1694959 SHA256 b6a0354ee0d8a69700b95428cf305940d00ff67c1a3268e8fdd9852bbacc000e SHA512 5c10cd8135d5c595cc3b1de83e59dd8913edd06ec2a74a1d69afcb01ad720eac51baea1fd53328d99f307feceb5c5f98db353f9ee94581fd290b34f6de509784 WHIRLPOOL 1a9f39d869c8f0498cf9f8924f2affd9b16f92231f3fc3a76e2d622ad0e33b610eecf144bf5780893556abb7523b121bf7b0accc85833ce96adf41f2cf0a55b1

@ -1,74 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
KDE_LINGUAS_DIR=( po convert-presets/po )
PLUGINS=(
alsa-sound dbus gui-docking-menu gui-error-log gui-quickbar
gui-standard-display internetradio lirc oss-sound radio recording shortcuts
soundserver streaming timecontrol timeshifter v4lradio
)
KDE_LINGUAS="cs de es is it pl pt pt_BR ru sk tr uk"
inherit kde4-base
MY_P=${PN}4-${PV/_/-}
DESCRIPTION="kradio is a radio tuner application for KDE"
HOMEPAGE="http://kradio.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86"
SLOT="4"
IUSE="alsa debug encode ffmpeg lirc +mp3 +vorbis v4l"
DEPEND="
media-libs/libsndfile
alsa? ( media-libs/alsa-lib )
ffmpeg? (
>=media-libs/libmms-0.4
virtual/ffmpeg
)
lirc? ( app-misc/lirc )
mp3? ( media-sound/lame )
vorbis? (
media-libs/libvorbis
media-libs/libogg
)
"
RDEPEND="${DEPEND}"
S=${WORKDIR}/${MY_P}
PATCHES=( "${FILESDIR}/${P}-include.patch" )
src_prepare() {
local lang
for lang in ${KDE_LINGUAS} ; do
if ! use linguas_${lang} ; then
for dir in "${KDE_LINGUAS_DIR[@]}" ; do
rm ${dir}/${lang}.po
done
for plugin in "${PLUGINS[@]}" ; do
rm plugins/${plugin}/po/${lang}.po
done
fi
done
kde4-base_src_prepare
}
src_configure() {
mycmakeargs=(
$(cmake-utils_use_with alsa)
$(cmake-utils_use_with ffmpeg)
$(cmake-utils_use_with lirc)
$(cmake-utils_use_with mp3 LAME)
$(cmake-utils_use_with vorbis OGG_VORBIS)
$(cmake-utils_use_with v4l V4L2)
)
kde4-base_src_configure
}

@ -16,7 +16,7 @@ SRC_URI="http://freedesktop.org/software/pulseaudio/releases/${P}.tar.xz"
LICENSE="!gdbm? ( LGPL-2.1 ) gdbm? ( GPL-2 )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
# +alsa-plugin as discussed in bug #519530
IUSE="+alsa +alsa-plugin +asyncns bluetooth +caps dbus doc equalizer +gdbm +glib

@ -22,7 +22,7 @@ REQUIRED_USE="
zeitgeist? ( introspection )
"
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
# FIXME:
# Runtime dependency on gnome-session-2.91

@ -1 +1 @@
Tue, 10 Nov 2015 14:11:41 +0000
Tue, 10 Nov 2015 17:41:50 +0000

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save